function customLoad(){
    
}
    
adminEmpresa = function(){
	// Arrays de detalle
	var moduloIdArray = null;
	var accesoModuloArray = null;
	
	var Ncont = 0;
	
        var storeListaEmpresas = null;
	var gridEmpresas = null;
        var storeOpcionesAcceso = null;
	var gridOpcionesAcceso = null;
        
        var empresaID = 0;
        
        var editando = false;
        var expander = new Ext.ux.grid.RowExpander({
                tpl : new Ext.Template(
                    '<p><b>L&iacute;der:</b> {nombre}</p><br>'
                )
            });   
        var mensajeSucces = "";

return{
	
	idWin:function(){return 'adminEmpresa-win';},


    customLoad:function(){
        storeListaEmpresas.load({params:{start:0, limit:25}});
    },
	
	moduleFields: fields_datos_empresa,
	
	initRecordDef : function(){
		return new Ext.data.Record.create(adminEmpresa.moduleFields);
	},
	           
	initColumnModel : function(){
	               return new Ext.grid.ColumnModel([
	                   new Ext.grid.RowNumberer(),
	                   {header: 'Nombre', dataIndex:'nombre_empresa',  sortable: true},
	                   {header: 'BD Admin', width:100,  dataIndex:'bd',  sortable: true},
	                   {header: 'BD Contab', width:80,   dataIndex:'bd_contabilidad',  sortable: true},
	                   {header: 'BD Nom', width:120,   dataIndex:'bd_nomina',  sortable: true}
	               ]);
	},
	
    formload:function(empresaId){
	        empresaID = empresaId;
                
                var myFormPanel = Ext.getCmp('edit-empresa-form');
                
		myFormPanel.getForm().load({
                    url: 'clases/controladores/ControladorApp.php',
                    waitMsg: 'Cargando Datos.',
                    method: 'post',
                    params: {
                                accion: 'Accion/DatosEmpresa/Get_One',
                                codigo: empresaID,
                                output: 'json'
                    },
                    success:function(form, action){
                        
                    },
                    failure: function(form, action) {
                        Ext.Msg.alert("Load failed", action.result.errorMessage);
                    }
                });
	},

    Init:function(){
        
    function buscar(idBuscar,store){
    	var patron = Ext.getCmp(idBuscar).getValue();
    	storeListaEmpresas.load({
                    params:{
                            start:0, 
                            limit:25,
                            patronbuscar : patron,
                            accion: 'Accion/DatosEmpresa/Get_List',
                            output:'json'
                    }});
	}
    
    storeListaEmpresas = new Ext.data.Store({
    	storeId:'store-lista-empresas',
        proxy:new Ext.data.HttpProxy({url:'clases/controladores/ControladorApp.php'}),
        remoteSort : true,
        restful : true,
        baseParams: {
                accion: 'Accion/DatosEmpresa/Get_List',
                output:'json',
                patronbuscar:''
        },
        reader: new Ext.data.JsonReader({
            totalProperty: "totalCount",
            root: "matches" // ,id: "bl"
            }, adminEmpresa.initRecordDef()),
        listeners: {
            load: function(Store ,records, options){ }
        }
    });
    storeListaEmpresas.load({
                    params:{
                            start:0, 
                            limit:25,
                            patronbuscar : '',
                            accion: 'Accion/DatosEmpresa/Get_List',
                            output:'json'
                    }});
    
    var tbGridSust = new Ext.Toolbar({
		id:'tbb-lista-empresas',
		autoDestroy:false,
    	buttonAlign: 'right',
    	items:	[ 
             {
      		xtype: 'textfield',
              allowBlank : false,
              minLength: 5,
              maxLength: 25,
              name: 'patronbuscar-lista-empresas',
              id: 'patronbuscar-lista-empresas',
              anchor:'50%',
              selectOnFocus : true,            		
              listeners:{
		        	specialkey: function(patronBlbuscar,e){ 
		            	if (e.getKey() == e.ENTER) { 
                                    buscar('patronbuscar-lista-empresas',storeOpcionesAcceso); 
		            	}
        			}
      			}
              }, {
              text:'Buscar',
              id:'buscar-btn-lista-empresas',
              tooltip:'Click para buscar',
              iconCls:'edit',
              icon: 'imagenes/icons/page_find.png',
              handler: function(){buscar('patronbuscar-lista-empresas',storeOpcionesAcceso);}}]
    
    });
    
    gridEmpresas = new Ext.grid.GridPanel({
        id: 'grid-lista-empresas',
        title: 'Empresas',
        //anchor:'95%',
        region:'center',
        autoScroll:true,
        viewConfig:{forceFit:true},
        border:true,
        tbar:tbGridSust,
        //height: 430,
    	enableDragDrop   : true,
        stripeRows: true,
        ds: storeListaEmpresas,
        cm: adminEmpresa.initColumnModel(),
        remoteSort:true,
        shadow: false,
        shadowOffset: 0,
        sm:  new Ext.grid.RowSelectionModel({
            singleSelect:true,
            listeners: {
                rowselect: function(SelectionModel,rownumber,row){
                }
            }
        }),
        listeners:{
        	dblclick:function(e){
                        if(!editando){
                            var grid = Ext.getCmp('grid-lista-empresas');
                            var selmodel = grid.getSelectionModel();	    		
                            var filaSeleccionada = selmodel.getSelected();
                            
                            adminEmpresa.formload(filaSeleccionada.data.codigo);
                        }
        	}
        },
            bbar: [
                    new Ext.PagingToolbar({
		                pageSize:25,
		                store: storeListaEmpresas,
		                displayInfo: true,
		                displayMsg: "Mostrando Registros {0} - {1} of {2}",
		                emptyMsg: "No Existen Registros para mostrar" 
                    })
                   ]
    });
	
    
    var StoreEstatus = new Ext.data.SimpleStore({
        fields: ['status','status_des'],
        data : [['AC','Activo'],
                ['IN','Inactivo']],
        autoLoad: true
    });
    
    var storeDepartamento = new Ext.data.JsonStore({
            proxy:new Ext.data.HttpProxy({url:'clases/controladores/ControladorApp.php'}),
            autoLoad: true,
            baseParams: {
                accion:'Conf//Listar_Departamento',
                output:'json'
		},
            fields : [
                {name:'depto_id-empresas', type:'int'},
                {name:'departamento', type:'string'}
		]
    });
    
   var comboStatus = new Ext.form.ComboBox({
  		  xtype: 'combo',
		  store: StoreEstatus,
                    fieldLabel: 'Estatus',
                  typeAhead: true,
                  forceSelection: true,
                    allowBlank : false,
                  mode: 'local',
                  triggerAction: 'all',
		  //autoSelect: true,
		  selectOnFocus: true,
		  //value: 'Tipo Documento',
		  id: 'status-view-empresas',
		  name: 'status',
		  hiddenName:     'status',
		  valueField : 'status',
		  displayField:'status_des',
		  editable: false,
		  width: 120,
		  listeners:{
				'select':function(){
							
    			}
			}
		});                            
                            
   var comboDepartamento =  new Ext.form.ComboBox({
                       
		    anchor:'96%',
                    fieldLabel: 'Departamento',
                    //disabled:true,
		    mode:           'remote',
		    triggerAction:  'all',
		    id: 'depto_id-empresas',
		    forceSelection: true,
		    typeAhead: true,
		    editable:       false,
		    name:           'depto_id-empresas',
		    hiddenName:     'depto_id-empresas',
		    displayField:   'departamento',
		    valueField:     'depto_id-empresas',
		    store:          storeDepartamento//,
                    //value:'Líder Junior'
		}); 
               
   var storePais = new Ext.data.JsonStore({
            proxy:new Ext.data.HttpProxy({url:'clases/controladores/ControladorApp.php'}),
            autoLoad: true,
            baseParams: {
                accion:'Accion/Empresa/Get_Pais_Combo',
                output:'json'
        },
            fields : [
                {name:'id', type:'int'},
                {name:'nombre', type:'string'}
        ],
            listeners:{
                load:function(){
                    
                }
            }
    });
                            
                            
   var comboPais =  new Ext.form.ComboBox({
            anchor:'96%',
            mode:           'remote',
            fieldLabel: 'Pa&iacute;s',
            triggerAction:  'all',
            id: 'pais_id',
            forceSelection: true,
            typeAhead: true,
            editable:       false,
            allowBlank : false,
            autoLoad:true,
            name:           'pais_id',
            hiddenName:     'pais_id',
            displayField:   'nombre',
            valueField:     'id',
            store:          storePais,
            listeners:{

                specialkey: function(field, e){
                    //Util.enterTab(tabForm.getForm(),field, e);
                }
            }//,
                    //value:'Periodo'
    });

    var tabForm = new Ext.FormPanel({
        region:'center',//center
        flex:1,
        border:true,
        url: 'clases/controladores/ControladorApp.php',
        labelAlign: 'top',
        id: 'edit-empresa-form',
        bodyStyle:'padding:5px',
        //width: 480,
        reader: new Ext.data.JsonReader({
            root: 'matches',             
            fields: [
                    {name: 'nombre', type:'string'},
                    {name: 'rif', type:'string'},
	                {name: 'direccion', type:'string'},
                    {name: 'nombre_sistema', type:'string'},
                    {name: 'telefonos', type:'string'},
                    {name: 'bd', type:'string'},
                    {name: 'bd_contabilidad', type:'string'},
                    {name: 'bd_nomina', type:'string'},
                    {name: 'cod_empresa', type:'int'},
	                {name: 'admis_activo',type:'int'},
	                {name: 'contab_activo',type:'int'},
	                {name: 'nomina_activo',type:'int'},
                    {name: 'codigo',type:'int'},
                    {name: 'pais_id',type:'int'}
            ]
        }),
        items: [{
            layout:'column',
            border:false,
            items:[/*{
                columnWidth:.01,//47,
                layout: 'form',
                border:false,
                items: [
			                //gridEmpresas
		                ]
            },*/{
                columnWidth:.05,//03,
                layout: 'form',
                border:false,
                items: [
                            {
                                    xtype:'button',
                                    style:'margin-top:10px',
                                    icon: 'imagenes/icons/page_white_text.png',
                                    tooltip:'Crear Nuevo Empresa',
                                    listeners:{
                                        click:function(){                                            
                                            tabForm.form.reset();                                            
                                        }
                                    }
                                }
		                ]
            },
            {
                columnWidth:.95,
                //layout: 'form',
                border:false,
                items: [
                                {
                                    layout:'column',
                                    border:false,
                                    items:[{
                                        columnWidth:.5,
                                        layout: 'form',
                                        border:false,
                                        items: [
                                                    {
                                                        xtype     : 'textfield',
                                                        id: 'cod_empresa-view',
                                                        name: 'codigo',
                                                        hidden:true,
                                                        value:0
                                                    },
                                                    {
                                                        xtype     : 'textfield',
                                                        fieldLabel: 'Nombre',
                                                        anchor:'96%',
                                                        id: 'nombre_empresa-view',
                                                        allowBlank : false,
                                                        name: 'nombre'
                                                    },
                                                    {
                                                        xtype     : 'textarea',
                                                        fieldLabel: 'Direcci&oacute;n',
                                                        anchor:'96%',
                                                        id: 'direccion-view',
                                                        allowBlank : false,
                                                        name: 'direccion'
                                                    },
                                                    comboPais,
                                                    {
                                                        xtype     : 'textfield',
                                                        fieldLabel: CUSTOMER_FISCAL_ID_NAME,
                                                        anchor:'96%',
                                                        id: 'rif-view',
                                                        allowBlank : false,
                                                        name: 'rif'
                                                    },
                                                    {
                                                        xtype     : 'textfield',
                                                        fieldLabel: 'Tel&eacute;fonos',
                                                        anchor:'96%',
                                                        id: 'telefonos-empresa-view',
                                                        allowBlank : false,
                                                        name: 'telefonos'
                                                    },
                                                    {
                                                        xtype     : 'textfield',
                                                        fieldLabel: 'Nombre Sistema',
                                                        anchor:'96%',
                                                        id: 'nombre_sistema-view',
                                                        allowBlank : false,
                                                        name: 'nombre_sistema'
                                                    },
                                                    {
                                                        xtype: 'checkboxgroup',
                                                        fieldLabel: 'Activar Modulos',
                                                        items: [
                                                            {boxLabel: 'Administrativo', name: 'admis_activo', checked: true},
                                                            {boxLabel: 'Contabilidad', name: 'contab_activo'},
                                                            {boxLabel: NOMBRE_NOMINA, name: 'nomina_activo', checked: true}
                                                        ]
                                                    }
                                               ]
                                                },
                                                {
                                                    columnWidth:.5,
                                                    layout: 'form',
                                                    border:false,
                                                    items: [
                                                        {
                                                            xtype     : 'textfield',
                                                            fieldLabel: 'Nombre BD Admin',
                                                            anchor:'96%',
                                                            id: 'bd-view',
                                                            allowBlank : true,
                                                            name: 'bd'
                                                        },
                                                        {
                                                            xtype     : 'textfield',
                                                            fieldLabel: 'Nombre BD Contab',
                                                            anchor:'96%',
                                                            id: 'bd_contabilidad-view',
                                                            allowBlank : true,
                                                            name: 'bd_contabilidad'
                                                        },
                                                        {
                                                            xtype     : 'textfield',
                                                            fieldLabel: 'Nombre BD '+NOMBRE_NOMINA,
                                                            anchor:'96%',
                                                            id: 'bd_nomina-view',
                                                            allowBlank : true,
                                                            name: 'bd_nomina'
                                                        },
                                                    ]
                                                }]
                                }
                       ]
            }]
        }],

        buttons: [{
            text: 'Guardar',
            listeners :{
                click : function( el, e ){
        			if (tabForm.form.isValid()) {
                                    Ext.MessageBox.buttonText.yes = "Sí";
                                    Ext.MessageBox.buttonText.no = "No";
                                    Ext.MessageBox.buttonText.cancel = "Cancelar";
                                    Ext.MessageBox.show({
                                                    title:'Confirmación!',
                                                    msg: 'Está agregando/actualizando la empresa '+Ext.getCmp('nombre_empresa-view').getValue()+'. <br />Desea continuar?',
                                                    buttons: Ext.MessageBox.YESNOCANCEL,
                                                   fn: function (val){

                                                         if(val == 'yes'){     	        		   				
                                                             tabForm.form.submit({
                                                                params:{
                                                                    accion: 'Accion/DatosEmpresa/Save'
                                                                },
                                                                waitMsg:'Guardando informaci&oacute;n...',
                                                                    reset: true,
                                                                    failure: function(form_instance, action) {
                                                                                Ext.MessageBox.alert('Error', 'Ha ocurrido un error de Procesamiento');
                                                                                mensajeSucces = "";
                                                                    },
                                                                    success: function(form_instance, action) {
                                                                        tabForm.form.reset();
                                                                        storeListaEmpresas.reload();
                                                                    }
                                                                });
                                                            
                                                         }
                                                               },
                                                   icon: Ext.MessageBox.QUESTION
                                    });
                                }
        			else{
                                    Ext.MessageBox.alert('Error', 'Debe especificar todos los campos');
                                }
                }
            }
        },
        {
            text: 'Cancelar',
            listeners:{
	            click: function( el, e ){
	            	adminEmpresaWin.hide();       	
	        	
	        	}
        	}
        }]
    });
    
    var panel_east =  new Ext.Panel({
            autoDestroy:false,
            id: 'panel-east-empresa',
            region: 'east',
            //title: 'Casos Con Opciones Rechazadas',
            collapsible: false,
            split: false,
            width: 780,
            margins: '5 5 5 5',
            layout: {
                type:'vbox',
                padding:'5',
                align:'center'
            },
            items: [tabForm],
            listeners:{
                added:function(cmp,ower,ind){
//                  this.doLayout();
                }
            }
        });
    

    var panelContainerModsApp = new Ext.Panel({
            autoDestroy:false,
            id:'dashboard-adm-empresa',
            layout: 'border',
            region:'center',
            customLoad:function(){
                storeListaEmpresas.load({params:{start:0, limit:25}});
            },
//          flex:1,
            //id:'panel-mods-app',
            items: [gridEmpresas,panel_east]//[resumen_pedidos,grid_resumen_transito]
        });
        
        t = setInterval("customLoad()",300000);
}
};
}();
//
Ext.onReady(adminEmpresa.Init, adminEmpresa, true);
//adminEmpresa.Init();

