function customLoad(){
    //if(adminRolForm!=null && adminRolForm!=undefined)
      //  adminRolForm.customLoad();
}
    
adminRolForm = function(){
	// Arrays de detalle
	var moduloIdArray = null;
	var accesoModuloArray = null;
	
	var Ncont = 0;
	var operacion = "insert";
    var storeListaRoles = null;
	var gridRoles = null;
    var storeOpcionesAcceso = null;
	var gridOpcionesAcceso = null;
    var storeSeccionAcceso = null;
    var gridSeccionAcceso = null;
    var rolID = 0;
    var editando = false;
    var mensajeSucces = "";

    var filters = new Ext.ux.grid.GridFilters({
        // encode and local configuration options defined previously for easier reuse
        encode: true, // json encode the filter query
        local: true,   // defaults to false (remote filtering)
        filters: [
            {
                type: 'numeric',
                dataIndex: 'cod_seccion',
                id:'cod_seccion_filtro'
            }
        ]
    });

return{
	
	idWin:function(){return 'adminRolForm-win';},
    getTipoOperacion:function(){
        return adminRolForm.operacion;
    },

    customLoad:function(){
        storeListaRoles.load({params:{start:0, limit:25}});
    },
	
	moduleFields: fields_rol.concat(fields_menu).concat(fields_datos_empresa),
	
	initRecordDef : function(){
		return new Ext.data.Record.create(adminRolForm.moduleFields);
	},
	           
	initColumnModel : function(){
	               return new Ext.grid.ColumnModel([
	                   new Ext.grid.RowNumberer(),
                       {header: 'Empresa',  dataIndex:'nombre',  sortable: true},
                       {header: 'Descripci&oacute;n',  dataIndex:'descripcion',  sortable: true},
                        {
                            xtype: 'actioncolumn',
                            width: 25,
                            items: [
                                {
                                    icon   : 'imagenes/icons/user_edit.png', 
                                    tooltip: 'Editar Rol',
                                    handler: function(grid, rowIndex, colIndex) {
                                        var rec = storeListaRoles.getAt(rowIndex);
                                        adminRolForm.formload(rec.get('cod_rol'),false);
                                    }
                                }
                            ]
                        },
                        {
                            xtype: 'actioncolumn',
                            width: 25,
                            items: [
                                {
                                    icon   : 'imagenes/icons/group_add.png', 
                                    tooltip: 'Copiar Rol',
                                    handler: function(grid, rowIndex, colIndex) {
                                        var rec = storeListaRoles.getAt(rowIndex);
                                        adminRolForm.formload(rec.get('cod_rol'),true);
                                    }
                                }
                            ]
                        }
	               ]);
	},
	
	initColumnModel2 : function(){
        return new Ext.grid.ColumnModel([
            //expander,
            {header: 'Men&uacute;', dataIndex:'nombre_menu',  sortable: false},
            {header: 'Opci&oacute;n', dataIndex:'opcion_menu',  sortable: false},
            {xtype:'checkcolumn', /*header: 'Acceso',*/  align:'center', dataIndex: 'acceso', width: 20, editable:true,
            header: '<input type="checkbox" id="select-all-sec-rol" style="x-grid-checkcolumn" onclick="adminRolForm.headerClick(\'select-all-sec-rol\')"/>',
            menuDisabled : true,
                renderer:function(v, params, record){	
                        
                        //console.log(v,record.data.acceso_act,record.dirty)
                        if(record.data.acceso_act == 0 && v == 1 && record.dirty){
                            record.data.acceso = 1;
                            //console.log(1)
                            record.dirty = false;
                        }
                        else if(record.data.acceso_act == 1 && v == 0 && record.dirty){
                            record.data.acceso = 0;                            
                            //console.log(2)
                            record.dirty = false;
                        }
                        ///console.log(record.data.acceso)
                        record.dirty = false;
                        
                        if(v == 1){//if(record.data.acceso == 1){
                            return "<img src='imagenes/icons/accept.png' style:'cursor:pointer'>";
                        }
                        else{
                            return "<img src='imagenes/icons/delete.png' style:'cursor:pointer'>";                         
                        }
                }
            }
        ]);
	},

    initColumnModel3 : function(){
        return new Ext.grid.ColumnModel([
            //expander
            {header: '', id:'col-sec-filter',dataIndex:'cod_seccion',  width: 15,filterable: true},
            {header: 'Secci&oacute;n', dataIndex:'opcion_menu',  sortable: false},
            {xtype:'checkcolumn', /*header: 'Acceso',*/  align:'center', dataIndex: 'acceso', width: 20, editable:true,
            header: '<input type="checkbox" id="select-all-sub-rol" style="x-grid-checkcolumn" onclick="adminRolForm.headerClick(\'select-all-sub-rol\')"/>',
            menuDisabled : true,
                renderer:function(v, params, record){   
                        
                        //console.log(v,record.data.acceso_act,record.dirty)
                        if(record.data.acceso_act == 0 && v == 1 && record.dirty){
                            record.data.acceso = 1;
                            //console.log(1)
                            record.dirty = false;
                        }
                        else if(record.data.acceso_act == 1 && v == 0 && record.dirty){
                            record.data.acceso = 0;                            
                            //console.log(2)
                            record.dirty = false;
                        }
                        ///console.log(record.data.acceso)
                        record.dirty = false;
                        
                        if(v == 1){//if(record.data.acceso == 1){
                            return "<img src='imagenes/icons/accept.png' style:'cursor:pointer'>";
                        }
                        else{
                            return "<img src='imagenes/icons/delete.png' style:'cursor:pointer'>";                         
                        }
                }/*,
                listeners:{
                    click:function(col,grid,rowind,e){
                        grid.getSelectionModel().selectRow(rowind);
                    }
                }*/
            }
        ]);
    },
	headerClick:function (col){
        //console.log(col)
        var storeCambio = null;
        var gridCambio = null;
        if(col == "select-all-sub-rol"){
            storeCambio = storeSeccionesAcceso;
            gridCambio = gridSeccionesAcceso;
        }
        else{
            storeCambio = storeOpcionesAcceso;
            gridCambio = gridOpcionesAcceso;
        }

        if(document.getElementById(col).checked==true){
            adminRolForm.selectAllInColumn(col,gridCambio,storeCambio,true);
        }
        else{
            adminRolForm.selectAllInColumn(col,gridCambio,storeCambio,false);
        }
    }, 
    selectAllInColumn:function (col,grid,store,checked){
        //record.data.acceso = 0; 
        //console.log(grid,store,checked)
        var acceso = 0;
        if(checked){acceso=1}
        var i = 0;
        Ext.iterate(grid.store.data.items, function(key, value) {    
            var record = store.getAt(i)                 
            record.data.acceso = acceso;
            i++;
        });

        if(col == "select-all-sub-rol"){
            grid.reconfigure(store,adminRolForm.initColumnModel3());
        }
        else{
            grid.reconfigure(store,adminRolForm.initColumnModel2());
        }
        grid.doLayout();
        document.getElementById(col).checked=checked;
        //store.commitChanges();

        /*for( var i = 0; i < processStore.getCount(); i++)
        {
            if(checked)
            {
                // get record
                var record = processStore.getAt(i);
                // for current column and each preceding column set process step to true and check the header
                for(var j = 1; j <= column; j++) {
                    document.getElementById('HeaderPhase'+j).checked = true;
                    record.set('Phase'+j, true);
                }
            }
            else
            {
                var record = processStore.getAt(i);
                for(var j = column; j <= 10; j++) {
                    document.getElementById('HeaderPhase'+j).checked = false;
                    record.set('Phase'+j, false);
                }
            }
        }*/
    },      
	formload:function(rolID,copiarRol){
	    rolID = rolID;
        operacion = "update";
        var myFormPanel = Ext.getCmp('edit-rol-form');
                
		myFormPanel.getForm().load({
                    url: 'clases/controladores/ControladorApp.php',
                    waitMsg: 'Cargando Datos.',
                    method: 'post',
                    params: {
                                accion: 'Accion/Session/Get_Rol',
                                cod_rol: rolID,
                                output: 'json'
                    },
                    success:function(form, action){
                        storeOpcionesAcceso.load({
                                    params:{
                                        task: "select",
                                        cod_rol : rolID,
                                        accion: 'Accion/Session/Obtener_Acceso_Rol',
                                        output: 'json',
                                        operacion:'update'
                                    }});
                        storeSeccionesAcceso.load({
                                    params:{
                                        task: "select",
                                        cod_rol : rolID,
                                        accion: 'Accion/Session/Obtener_Acceso_Seccion_Rol',
                                        output: 'json',
                                        operacion:'update'
                                    }});
                        if(copiarRol){
                            Ext.getCmp("cod_rol-view").setValue(0);
                        }
                    },
                    failure: function(form, action) {
                        Ext.Msg.alert("Load failed", action.result.errorMessage);
                    }
                });
	},

    Init:function(){
        
    function buscar(idBuscar,store){
    	var patron = Ext.getCmp(idBuscar).getValue();
    	storeListaRoles.load({
                    params:{
                            start:0, 
                            limit:25,
                            patronbuscar : patron,
                            accion: 'Accion/Session/Get_Roles',
                            output:'json'
                    }});
	}
    
    storeListaRoles = new Ext.data.Store({
    	storeId:'store-roles-lista',
        proxy:new Ext.data.HttpProxy({url:'clases/controladores/ControladorApp.php'}),
        remoteSort : true,
        restful : true,
        baseParams: {
            patronbuscar : "",
            accion: 'Accion/Session/Get_Roles',
            output:'json'
        },
        reader: new Ext.data.JsonReader({
            totalProperty: "totalCount",
            root: "matches" // ,id: "bl"
            }, adminRolForm.initRecordDef()),
        listeners: {
            load: function(Store ,records, options){ }
        }
    });
    storeListaRoles.load({
                    params:{
                            start:0, 
                            limit:25
                    }});
    
    var tbGridSust = new Ext.Toolbar({
		id:'tbb-lista-roles',
		autoDestroy:false,
    	buttonAlign: 'right',
    	items:	[ 
             {
      		xtype: 'textfield',
              allowBlank : false,
              minLength: 5,
              maxLength: 25,
              name: 'patronbuscar-lista-roles',
              id: 'patronbuscar-lista-roles',
              anchor:'50%',
              selectOnFocus : true,            		
              listeners:{
		        	specialkey: function(patronBlbuscar,e){ 
		            	if (e.getKey() == e.ENTER) { 
                                    buscar('patronbuscar-lista-roles',storeOpcionesAcceso); 
		            	}
        			}
      			}
              }, {
              text:'Buscar',
              id:'buscar-btn-lista-roles',
              tooltip:'Click para buscar',
              iconCls:'edit',
              icon: 'imagenes/icons/page_find.png',
              handler: function(){buscar('patronbuscar-lista-roles',storeOpcionesAcceso);}}]
    
    });
    
    gridRoles = new Ext.grid.GridPanel({
        id: 'grid-lista-roles',
        title: 'Roles',
        anchor:'95%',
        region:'east',
        autoScroll:true,
        viewConfig:{forceFit:true},
        border:true,
        tbar:tbGridSust,
        height: 590,
    	enableDragDrop   : true,
        stripeRows: true,
        ds: storeListaRoles,
        cm: adminRolForm.initColumnModel(),
        remoteSort:true,
        shadow: false,
        shadowOffset: 0,
        sm:  new Ext.grid.RowSelectionModel({
            singleSelect:true,
            listeners: {
                rowselect: function(SelectionModel,rownumber,row){
                }
            }
        }),
        listeners:{
        	dblclick:function(e){
                        if(!editando){
                            var grid = Ext.getCmp('grid-lista-roles');
                            var selmodel = grid.getSelectionModel();	    		
                            var filaSeleccionada = selmodel.getSelected();
                            
                            adminRolForm.formload(filaSeleccionada.data.cod_rol,false);
                        }
        	}
        },
            bbar: [
                    new Ext.PagingToolbar({
		                pageSize:25,
		                store: storeListaRoles,
		                displayInfo: true,
		                displayMsg: "Mostrando Registros {0} - {1} of {2}",
		                emptyMsg: "No Existen Registros para mostrar" 
                    })
                   ]
    });
	
    
    storeOpcionesAcceso = new Ext.data.GroupingStore({
    	storeId:'store-accesos-rol',
        proxy:new Ext.data.HttpProxy({url:'clases/controladores/ControladorApp.php'}),
        remoteSort : true,
        restful : true,
        baseParams: {
            accion: 'Accion/Session/Obtener_Acceso_Rol',
            output: 'json',
        },
        reader: new Ext.data.JsonReader({
            totalProperty: "totalCount",
            root: "matches" // ,id: "bl"
            }, adminRolForm.initRecordDef()),
        listeners: {
            load: function(Store ,records, options){ }
        },
        groupField: 'nombre_menu'
    });
    
    storeOpcionesAcceso.load({
        params:{
            task: "select",
            cod_rol : rolID,
            operacion:'insert'
        }});
    
    gridOpcionesAcceso= new Ext.grid.EditorGridPanel({
        title:'Opciones a la que tendr&aacute; acceso este rol',
        id: 'grid-opciones-acceso-rol',
        anchor:'96%',
        autoScroll:true,
        loadMask:true,
        clicksToEdit: 1,
        border:true,
        height: 370,
    	//enableDragDrop   : true,
        stripeRows: true,
        ds: storeOpcionesAcceso,
        cm: adminRolForm.initColumnModel2(),
        remoteSort:true,
        shadow: false,
        shadowOffset: 0,
        selModel: new Ext.grid.RowSelectionModel({
            singleSelect:false,
            listeners: {
                rowselect: function(SelectionModel,rownumber,row){
                    var campoFiltro = "cod_seccion";
                    if(row.data.segundo_nivel != 0){
                        campoFiltro = "menu_id";
                    }
                    storeSeccionesAcceso.filter([{
                                property     : campoFiltro,
                                value        : row.data.menu_id,
                                anyMatch     : false, //optional, defaults to true
                                caseSensitive: true,  //optional, defaults to true
                                exactMatch : true
                            }]);

                }
            }
        }),
        viewConfig:{forceFit:true},
    	view: new Ext.grid.GroupingView({
            forceFit: true,
            showGroupName: false,
            enableNoGroups: false,
            enableGroupingMenu: true,
            hideGroupedColumn: true
        }),
        iconCls: 'icon-grid',
        collapsible: false,
        animCollapse: false
    });
    

    storeSeccionesAcceso = new Ext.data.Store({
        storeId:'store-secciones-rol',
        proxy:new Ext.data.HttpProxy({url:'clases/controladores/ControladorApp.php'}),
        remoteSort : false,
        restful : true,
        autoLoad:true,
        baseParams: {
            accion: 'Accion/Session/Obtener_Acceso_Seccion_Rol',
            output: 'json',
            operacion:operacion
        },
        reader: new Ext.data.JsonReader({
            totalProperty: "totalCount",
            root: "matches" // ,id: "bl"
            }, adminRolForm.initRecordDef()),
        listeners: {
            load: function(Store ,records, options){ }
        }
    });


    
    
    gridSeccionesAcceso= new Ext.grid.EditorGridPanel({
        title:'Secciones',
        id: 'grid-secciones-rol',
        anchor:'96%',
        autoScroll:true,
        loadMask:true,
        clicksToEdit: 1,
        border:true,
        height: 370,
        //enableDragDrop   : true,
        stripeRows: true,
        ds: storeSeccionesAcceso,
        cm: adminRolForm.initColumnModel3(),
        remoteSort:true,
        shadow: false,
        shadowOffset: 0,
        selModel: new Ext.grid.RowSelectionModel({
            singleSelect:false,
            listeners: {
                rowselect: function(SelectionModel,rownumber,row){
                }
            }
        }),
        viewConfig:{forceFit:true},
        iconCls: 'icon-grid',
        collapsible: false,
        animCollapse: false/*,
        plugins: [filters]*/
    });



    var storeEmpresaRol = new Ext.data.JsonStore({
            proxy:new Ext.data.HttpProxy({url:'clases/controladores/ControladorApp.php'}),
            autoLoad: true,
            baseParams: {
                accion:'Accion/Empresa/Get_Empresas_Combo',
                output:'json'
        },
            fields : [
                {name:'cod_empresa', type:'int'},
                {name:'nombre', type:'string'}
        ],
            listeners:{
                load:function(){
                    
                }
            }
    });
                            
                            
   var comboEmpresaRol =  new Ext.form.ComboBox({
            anchor:'96%',
            mode:           'remote',
            fieldLabel: 'Empresa',
            triggerAction:  'all',
            id: 'codigo_empresa_rol',
            forceSelection: true,
            typeAhead: true,
            editable:       false,
            allowBlank : false,
            name:           'cod_empresa',
            hiddenName:     'cod_empresa',
            displayField:   'nombre',
            valueField:     'cod_empresa',
            store:          storeEmpresaRol//,
                    //value:'Periodo'
    });
    
    var tabForm = new Ext.FormPanel({
        region:'center',
        flex:1,
        border:false,
        url: 'clases/controladores/ControladorApp.php',
        labelAlign: 'top',
        id: 'edit-rol-form',
        bodyStyle:'padding:5px',
        width: 280,
        reader: new Ext.data.JsonReader({
            root: 'matches',             
            fields: [
                    {name:'cod_empresa',type:'int'},
                    {name: 'descripcion', type:'string'},
	                {name:'cod_rol',type:'int'}
            ]
        }),
        items: [{
            layout:'column',
            border:false,
            items:[{
                columnWidth:.47,
                layout: 'form',
                border:false,
                items: [
			                gridRoles
		                ]
            },{
                columnWidth:.03,
                layout: 'form',
                border:false,
                items: [
                            {
                                    xtype:'button',
                                    style:'margin-top:10px',
                                    icon: 'imagenes/icons/page_white_text.png',
                                    tooltip:'Crear Nuevo Rol',
                                    listeners:{
                                        click:function(){                                            
                                            operacion = "insert";
                                            tabForm.form.reset();                            	
                                            storeOpcionesAcceso.removeAll();
                                            storeSeccionesAcceso.removeAll();
                                            storeOpcionesAcceso.load({
                                                params:{
                                                    task: "select",
                                                    cod_rol : rolID,
                                                    accion: 'Accion/Session/Obtener_Acceso_Rol',
                                                    output: 'json',
                                                    operacion:'insert'
                                                }});
                                            storeSeccionesAcceso.load({
                                                params:{
                                                    task: "select",
                                                    cod_rol : rolID,
                                                    accion: 'Accion/Session/Obtener_Acceso_Seccion_Rol',
                                                    output: 'json',
                                                    operacion:'insert'
                                                }});
                                            
                                        }
                                    }
                                }
		                ]
            },
            {
                columnWidth:.5,
                //layout: 'form',
                border:false,
                items: [
                            {
                                    layout:'column',
                                    border:false,
                                    items:[{
                                        columnWidth:.5,
                                        layout: 'form',
                                        border:false,
                                        items: [
                                                    {
                                                        xtype     : 'textfield',
                                                        id: 'cod_rol-view',
                                                        name: 'cod_rol',
                                                        hidden:true
                                                    },
                                                    comboEmpresaRol,
                                                    {
                                                        xtype     : 'textfield',
                                                        fieldLabel: 'Descripci&oacute;n',
                                                        anchor:'96%',
                                                        id: 'descripcion-view',
                                                        allowBlank : false,
                                                        name: 'descripcion'
                                                    }
                                               ]
                                                },
                                                {
                                                    columnWidth:.5,
                                                    layout: 'form',
                                                    border:false,
                                                    items: [

                                                                    
                                                           ]
                                                }]
                            },
                            {
                                    layout:'column',
                                    border:false,
                                    items:[
                                        {
                                            columnWidth:.5,
                                            layout: 'form',
                                            border:false,
                                            items: [
                                                        gridOpcionesAcceso
                                            ]
                                        },
                                        {
                                            columnWidth:.5,
                                            layout: 'form',
                                            border:false,
                                            items: [
                                                    gridSeccionesAcceso                
                                            ]
                                        }
                                    ]
                            }
                       ]
            }]
        }],

        buttons: [{
            text: 'Guardar',
            listeners :{
                click : function( el, e ){
                    storeSeccionesAcceso.clearFilter(false);
        			if (tabForm.form.isValid()) {
                                    var i = 0;
                                    moduloIdArray = new Array();
                                    accesoModuloArray = new Array();
                                    
                                    var seccionIdArray = new Array();
                                    var accesoSeccionArray = new Array();
                                    var opcionSeccionArray = new Array()
                                    var arrayNivelSeccion = Array();

                                    var breakSubmit = false;

                                    Ext.iterate(gridOpcionesAcceso.store.data.items, function(key, value) {                    	
                                            moduloIdArray.push(key.data.menu_id);
                                            accesoModuloArray.push(key.data.acceso);
                                            Ncont++;
                                    });

                                    //console.log(gridSeccionesAcceso.store.data.items)
                                    //console.log(gridSeccionesAcceso.store.reader.jsonData.matches)

                                    Ext.iterate(gridSeccionesAcceso.store.data.items, function(key, value) {                     
                                            seccionIdArray.push(key.data.menu_id);
                                            accesoSeccionArray.push(key.data.acceso);
                                            opcionSeccionArray.push(key.data.cod_seccion);
                                            arrayNivelSeccion.push(key.data.nivel_seccion);
                                            Ncont++;
                                    });

                                    
                                    Ncont = accesoModuloArray.length;
                                    var NSec = seccionIdArray.length;

                                    if(Ncont == 0){
                                        //Ext.MessageBox.alert('Advertencia', 'Debe ingresar items para la solicitud');
                                        return;
                                    }
                                    
                                    Ext.MessageBox.buttonText.yes = "Sí";
                                    Ext.MessageBox.buttonText.no = "No";
                                    Ext.MessageBox.buttonText.cancel = "Cancelar";
                                    Ext.MessageBox.show({
                                                    title:'Confirmación!',
                                                    msg: 'Está agregando/actualizando el rol '+Ext.getCmp('descripcion-view').getValue()+'. <br />Desea continuar?',
                                                    buttons: Ext.MessageBox.YESNOCANCEL,
                                                   fn: function (val){

                                                         if(val == 'yes'){     	        		   				
                                                             tabForm.form.submit({
                                                                params:{
                                                                    accion: 'Accion/Session/Save_Rol',
                                                                    moduloIdEnRol: [moduloIdArray],
                                                                    accesoModuloEnRol: [accesoModuloArray],
                                                                    num_items: Ncont,
                                                                    seccionIdArray: [seccionIdArray],
                                                                    accesoSeccionArray: [accesoSeccionArray],
                                                                    opcionSeccionArray: [opcionSeccionArray],
                                                                    arrayNivelSeccion:[arrayNivelSeccion],
                                                                    num_items_seccion: NSec
                                                                },
                                                                waitMsg:'Guardando informaci&oacute;n...',
                                                                    reset: true,
                                                                    failure: function(form_instance, action) {
                                                                                Ext.MessageBox.alert('Error', 'Ha ocurrido un error de Procesamiento');
                                                                                mensajeSucces = "";
                                                                    },
                                                                    success: function(form_instance, action) {
                                                                        tabForm.form.reset();                            	
                                                                        storeOpcionesAcceso.removeAll();
                                                                        storeListaRoles.reload();
                                                                        storeOpcionesAcceso.load({
                                                                                                params:{
                                                                                                    task: "select",
                                                                                                    usuario_id : rolID,
                                                                                                    accion: 'Accion/Session/Obtener_Acceso_Rol',
                                                                                                    output: 'json',
                                                                                                    operacion:'insert'
                                                                                                }});
                                                                        storeSeccionesAcceso.removeAll();
                                                                        storeSeccionesAcceso.load({
                                                                                                params:{
                                                                                                    task: "select",
                                                                                                    usuario_id : rolID,
                                                                                                    accion: 'Accion/Session/Obtener_Acceso_Seccion_Rol',
                                                                                                    output: 'json',
                                                                                                    operacion:'insert'
                                                                                                }});
                                                                    }
                                                                });
                                                            
                                                         }
                                                               },
                                                   icon: Ext.MessageBox.QUESTION
                                    });
                                }
        			else{
                                    Ext.MessageBox.alert('Error', 'Debe especificar todos los campos');
                                }
                }
            }
        },
        {
            text: 'Cancelar',
            listeners:{
	            click: function( el, e ){
	            	tabForm.form.reset();          	
	        	
	        	}
        	}
        }]
    });
    
    var panel_east =  new Ext.Panel({
            autoDestroy:false,
            id: 'panel-east-rol',
            region: 'east',
            //title: 'Casos Con Opciones Rechazadas',
            collapsible: false,
            split: false,
            width: 280,
            margins: '0 5 0 0',
            layout: {
                type:'vbox',
                padding:'5',
                align:'center'
            },
            items: [tabForm],
            listeners:{
                added:function(cmp,ower,ind){
//                  this.doLayout();
                }
            }
        });

    var panelContainerModsApp = new Ext.Panel({
            autoDestroy:false,
            id:'dashboard-adm-rol',
            layout: 'border',
            region:'center',
            customLoad:function(){
                storeListaRoles.load({params:{start:0, limit:25}});
            },
//          flex:1,
            //id:'panel-mods-app',
            items: [tabForm]//[resumen_pedidos,grid_resumen_transito]
        });
        
        t = setInterval("customLoad()",300000);
}
};
}();
//
Ext.onReady(adminRolForm.Init, adminRolForm, true);
//adminRolForm.Init();

