function customLoad(){
   // if(adminSeccionForm!=null && adminSeccionForm!=undefined)
     //   adminSeccionForm.customLoad();
}
    
adminSeccionForm = function(){
    // Arrays de detalle
    var subseccionIDArray = null;
    var accesoModuloArray = null;
    
    var Ncont = 0;
    var operacion = "insert";   
    var storeListaSecciones = null;
    var gridOpciones = null;
    var storeOpcionesAcceso = null;
    var gridOpcionesAcceso = null;
    var storeSeccionAcceso = null;
    var gridSeccionAcceso = null;
        
    var subseccionID = 0;
        
    var editando = false;
    var mensajeSucces = "";


return{
    
    idWin:function(){return 'adminSeccionForm-win';},

    eliminarSeccion:function(id){
            Ext.MessageBox.buttonText.yes = "Sí";
                    Ext.MessageBox.buttonText.no = "No";
                    Ext.MessageBox.buttonText.cancel = "Cancelar";
                    Ext.MessageBox.show({
                        title:'Confirmación!',
                        msg: 'Desea eliminar esta seccion?',
                        buttons: Ext.MessageBox.YESNOCANCEL,
                            fn: function (val){
                                if(val == 'yes'){
                                    tabForm.form.submit({
                                        params:{
                                            accion:'Accion/Session/Borrar_Seccion',
                                            cod_subseccion:id
                                        },
                                        waitMsg:'Eliminando...',
                                        reset: true,
                                        failure: function(form_instance, action) {
                                            Ext.MessageBox.alert('Error', 'Ha ocurrido un error de Procesamiento');
                                        },
                                        success: function(form_instance, action) {
                                            storeListaSecciones.reload();
                                        }
                                    });                                     
                                }
                           },
                           icon: Ext.MessageBox.QUESTION
                      });
    },


    customLoad:function(){
        storeListaSecciones.load({params:{start:0, limit:25}});
    },
    
    moduleFields: fields_menu,
    
    initRecordDef : function(){
        return new Ext.data.Record.create(adminSeccionForm.moduleFields);
    },
               
    initColumnModel : function(){
        return new Ext.grid.ColumnModel([
            {header: 'Operaci&oacute;n', dataIndex:'opt_subseccion',  sortable: false},
            {header: 'Opci&oacute;n Padre', dataIndex:'nom_menu',  sortable: false},
            {header: 'Descripci&oacute;n', dataIndex:'descripcion',  sortable: false},
            {header: 'Clase', dataIndex:'clase',  sortable: false},
            {
                xtype: 'actioncolumn',
                width: 25,
                items: [
                    {
                        icon   : 'imagenes/icons/cross.png', 
                        tooltip: 'Eliminar',
                        handler: function(grid, rowIndex, colIndex) {
                            var rec = storeListaSecciones.getAt(rowIndex);
                            adminSeccionForm.eliminarSeccion(rec.get('cod_subseccion'));
                        }
                    }
                ]
            }
        ]);
    },

               
    formload:function(subseccionId){
       subseccionID = subseccionId;                                    
        operacion = "update";
                
        var myFormPanel = Ext.getCmp('edit-seccion-form');
                
        myFormPanel.getForm().load({
                    url: 'clases/controladores/ControladorApp.php',
                    waitMsg: 'Cargando Datos.',
                    method: 'post',
                    params: {
                                accion: 'Accion/Session/Obtener_Seccion',
                                cod_subseccion: subseccionID,
                                output: 'json'
                    },
                    success:function(form, action){
                    },
                    failure: function(form, action) {
                        Ext.Msg.alert("Load failed", action.result.errorMessage);
                    }
                });
    },

    Init:function(){
        
    function buscar(idBuscar,store){
        var patron = Ext.getCmp(idBuscar).getValue();
        storeListaSecciones.load({
                    params:{
                            start:0, 
                            limit:25,
                            patronbuscar : patron,
                            accion: 'Accion/Session/Obtener_Secciones',
                            output:'json'
                    }});
    }
    
    storeListaSecciones = new Ext.data.Store({
        proxy:new Ext.data.HttpProxy({url:'clases/controladores/ControladorApp.php'}),
        remoteSort : true,
        restful : true,
        autoLoad:true,
        baseParams: {
                            start:0, 
                            limit:25,
                            patronbuscar : "",
                            accion: 'Accion/Session/Obtener_Secciones',
                            output:'json'
        },
        reader: new Ext.data.JsonReader({
            totalProperty: "totalCount",
            root: "matches" // ,id: "bl"
            }, adminSeccionForm.initRecordDef()),
        listeners: {
            load: function(Store ,records, options){ }
        }
    });
    
    var tbGridSust = new Ext.Toolbar({
        id:'tbb-lista-secciones',
        autoDestroy:false,
        buttonAlign: 'right',
        items:  [ 
             {
            xtype: 'textfield',
              allowBlank : false,
              minLength: 5,
              maxLength: 25,
              name: 'patronbuscar-lista-secciones',
              id: 'patronbuscar-lista-secciones',
              anchor:'50%',
              selectOnFocus : true,                 
              listeners:{
                    specialkey: function(patronBlbuscar,e){ 
                        if (e.getKey() == e.ENTER) { 
                                    buscar('patronbuscar-lista-secciones',storeOpcionesAcceso); 
                        }
                    }
                }
              }, {
              text:'Buscar',
              id:'buscar-btn-lista-secciones',
              tooltip:'Click para buscar',
              iconCls:'edit',
              icon: 'imagenes/icons/page_find.png',
              handler: function(){buscar('patronbuscar-lista-secciones',storeOpcionesAcceso);}}]
    
    });
    
    gridOpciones = new Ext.grid.GridPanel({
        id: 'grid-lista-secciones',
        title: 'Secciones',
        anchor:'95%',
        region:'center',
        autoScroll:true,
        viewConfig:{forceFit:true},
        border:true,
        tbar:tbGridSust,
        height: 590,
        enableDragDrop   : true,
        stripeRows: true,
        ds: storeListaSecciones,
        cm: adminSeccionForm.initColumnModel(),
        remoteSort:true,
        shadow: false,
        shadowOffset: 0,
        loadMask:true,
        sm:  new Ext.grid.RowSelectionModel({
            singleSelect:true,
            listeners: {
                rowselect: function(SelectionModel,rownumber,row){
                }
            }
        }),
        listeners:{
            dblclick:function(e){
                        if(!editando){
                            var grid = Ext.getCmp('grid-lista-secciones');
                            var selmodel = grid.getSelectionModel();                
                            var filaSeleccionada = selmodel.getSelected();
                            
                            adminSeccionForm.formload(filaSeleccionada.data.cod_subseccion);
                        }
            }
        },
            bbar: [
                    new Ext.PagingToolbar({
                        pageSize:25,
                        store: storeListaSecciones,
                        displayInfo: true,
                        displayMsg: "Mostrando Registros {0} - {1} of {2}",
                        emptyMsg: "No Existen Registros para mostrar" 
                    })
                   ]
    });
    
    
     var storeOpcionPadre = new Ext.data.JsonStore({
            proxy:new Ext.data.HttpProxy({url:'clases/controladores/ControladorApp.php'}),
            autoLoad: true,
            baseParams: {
                accion:'Accion/Session/obtener_opciones_combo',
                output:'json'
        },
            fields : [
                {name:'cod_modulo', type:'int'},
                {name:'nom_menu', type:'string'}
        ],
            listeners:{
                load:function(){
                    
                }
            }
    });
    var comboOpcionPadre =  new Ext.form.ComboBox({
            anchor:'96%',
            mode:           'remote',
            fieldLabel: 'Opcion Padre',
            triggerAction:  'all',
            id: 'cod_seccion-view',
            forceSelection: true,
            typeAhead: true,
            editable:       false,
            allowBlank : true,
            name:           'cod_seccion',
            hiddenName:     'cod_seccion',
            displayField:   'nom_menu',
            valueField:     'cod_modulo',
            store:          storeOpcionPadre,
            listeners:{
                change:function(ch,newval,old){
                    
                }
            }
    });


    var tabForm = new Ext.FormPanel({
        region:'center',
        flex:1,
        border:false,
        url: 'clases/controladores/ControladorApp.php',
        labelAlign: 'top',
        id: 'edit-seccion-form',
        bodyStyle:'padding:5px',
        //width: 280,
        reader: new Ext.data.JsonReader({
            root: 'matches',             
            fields: [
                    {name: 'descripcion', type:'string'},
                    {name: 'archivo_php', type:'string'},
                    {name: 'archivo_tpl', type:'string'},
                    {name: 'clase', type:'string'},
                    {name:'cod_seccion',type:'int'},
                    {name:'cod_subseccion',type:'int'},
                    {name:'opt_subseccion',type:'string'}
            ]
        }),
        items: [{
            layout:'column',
            border:false,
            items:[/*{
                columnWidth:.47,
                layout: 'form',
                border:false,
                items: [
                            gridOpciones
                        ]
            },*/{
                columnWidth:.05,
                layout: 'form',
                border:false,
                items: [
                            {
                                    xtype:'button',
                                    style:'margin-top:10px',
                                    icon: 'imagenes/icons/page_white_text.png',
                                    tooltip:'Crear Nueva Seccion',
                                    listeners:{
                                        click:function(){
                                            tabForm.form.reset();  
                                            
                                        }
                                    }
                                }
                        ]
            },
            {
                columnWidth:.95,
                //layout: 'form',
                border:false,
                items: [
                                {
                                    layout:'column',
                                    border:false,
                                    items:[{
                                        columnWidth:.5,
                                        layout: 'form',
                                        border:false,
                                        items: [
                                                    {
                                                        xtype     : 'numberfield',
                                                        id: 'cod_subseccion-view',
                                                        name: 'cod_subseccion',
                                                        hidden:true,
                                                        value:0
                                                    },
                                                    {
                                                        xtype     : 'textfield',
                                                        fieldLabel: 'Operacion Seccion',
                                                        anchor:'96%',
                                                        id: 'opt_subseccion-view',
                                                        allowBlank : false,
                                                        name: 'opt_subseccion'
                                                    },
                                                    {
                                                        xtype     : 'textfield',
                                                        fieldLabel: 'Nombre',
                                                        anchor:'96%',
                                                        id: 'descripcion-view',
                                                        allowBlank : false,
                                                        name: 'descripcion'
                                                    },
                                                    {
                                                        xtype     : 'textfield',
                                                        fieldLabel: 'PHP',
                                                        anchor:'96%',
                                                        id: 'archivo_php_sec-view',
                                                        allowBlank : false,
                                                        name: 'archivo_php'
                                                    },
                                                    {
                                                        xtype     : 'textfield',
                                                        fieldLabel: 'TPL',
                                                        anchor:'96%',
                                                        id: 'archivo_tpl_sec-view',
                                                        allowBlank : false,
                                                        name: 'archivo_tpl'
                                                    },
                                                    {
                                                        xtype     : 'textfield',
                                                        fieldLabel: 'Clase',
                                                        anchor:'96%',
                                                        id: 'clase-view',
                                                        allowBlank : false,
                                                        name: 'clase'
                                                    }
                                               ]
                                                },
                                                {
                                                    columnWidth:.5,
                                                    layout: 'form',
                                                    border:false,
                                                    items: [

                                                                    comboOpcionPadre
                                                                    
                                                           ]
                                                }]
                                }
                       ]
            }]
        }],

        buttons: [{
            text: 'Guardar',
            listeners :{
                click : function( el, e ){
                    if (tabForm.form.isValid()) {
                                    var i = 0;
                                    
                                    
                                    Ext.MessageBox.buttonText.yes = "Sí";
                                    Ext.MessageBox.buttonText.no = "No";
                                    Ext.MessageBox.buttonText.cancel = "Cancelar";
                                    Ext.MessageBox.show({
                                                    title:'Confirmación!',
                                                    msg: 'Está agregando/actualizando la seccion '+Ext.getCmp('descripcion-view').getValue()+'. <br />Desea continuar?',
                                                    buttons: Ext.MessageBox.YESNOCANCEL,
                                                   fn: function (val){

                                                         if(val == 'yes'){                                      
                                                             tabForm.form.submit({
                                                                params:{
                                                                    accion: 'Accion/Session/Save_Seccion'
                                                                },
                                                                waitMsg:'Guardando informaci&oacute;n...',
                                                                    reset: true,
                                                                    failure: function(form_instance, action) {
                                                                                Ext.MessageBox.alert('Error', 'Ha ocurrido un error de Procesamiento');
                                                                                mensajeSucces = "";
                                                                    },
                                                                    success: function(form_instance, action) {
                                                                        tabForm.form.reset();
                                                                        storeListaSecciones.reload();
                                                                }
                                                            });
                                                            
                                                         }
                                                               },
                                                   icon: Ext.MessageBox.QUESTION
                                    });
                                }
                    else{
                                    Ext.MessageBox.alert('Error', 'Debe especificar todos los campos');
                                }
                }
            }
        },
        {
            text: 'Cancelar',
            listeners:{
                click: function( el, e ){
                    tabForm.form.reset();               
                
                }
            }
        }]
    });
    
    var panel_east =  new Ext.Panel({
            autoDestroy:false,
            id: 'panel-east-secciones',
            region: 'east',
            //title: 'Casos Con Opciones Rechazadas',
            collapsible: false,
            split: false,
            width: 780,
            margins: '5 5 5 5',
            layout: {
                type:'vbox',
                padding:'5',
                align:'center'
            },
            items: [tabForm],
            listeners:{
                added:function(cmp,ower,ind){
//                  this.doLayout();
                }
            }
        });

    var panelContainerModsApp = new Ext.Panel({
            autoDestroy:false,
            id:'dashboard-adm-seccion',
            layout: 'border',
            region:'center',
            customLoad:function(){
                storeListaSecciones.load({params:{start:0, limit:25}});
            },
//          flex:1,
            //id:'panel-mods-app',
            items: [gridOpciones,panel_east]//[resumen_pedidos,grid_resumen_transito]
        });
        
        t = setInterval("customLoad()",300000);
}
};
}();
//
Ext.onReady(adminSeccionForm.Init, adminSeccionForm, true);
//adminSeccionForm.Init();

