function customLoad(){
    //if(adminUserForm!=null && adminUserForm!=undefined)
      //  adminUserForm.customLoad();
}
    
adminUserForm = function(){
	// Arrays de detalle
	var moduloIdArray = null;
	var accesoModuloArray = null;
	
	var Ncont = 0;
    var operacion = "insert";	
    var storeListaUsuarios = null;
	var gridUsuarios = null;
    var storeOpcionesAcceso = null;
	var gridOpcionesAcceso = null;
    var storeSeccionesAcceso = null;
    var gridSeccionesAcceso = null;
        
    var usuarioID = 0;
        
    var editando = false;
    var expander = new Ext.ux.grid.RowExpander({
                tpl : new Ext.Template(
                    '<p><b>L&iacute;der:</b> {nombre}</p><br>'
                )
            });   
    var mensajeSucces = "";

    var filters = new Ext.ux.grid.GridFilters({
        // encode and local configuration options defined previously for easier reuse
        encode: true, // json encode the filter query
        local: true,   // defaults to false (remote filtering)
        filters: [
            {
                type: 'numeric',
                dataIndex: 'cod_seccion',
                id:'cod_seccion_filtro_usuario'
            }
        ]
    });

return{
	
	idWin:function(){return 'adminUserForm-win';},


    customLoad:function(){
        storeListaUsuarios.load({params:{start:0, limit:25}});
    },
	
	moduleFields: fields_usuario.concat(fields_menu),
	
	initRecordDef : function(){
		return new Ext.data.Record.create(adminUserForm.moduleFields);
	},
	           
	initColumnModel : function(){
	               return new Ext.grid.ColumnModel([
	                   new Ext.grid.RowNumberer(),
                       //{header: 'Empresa', width:80,   dataIndex:'empresa',  sortable: false},
	                   {header: 'Nombre', dataIndex:'nombreyapellido',  sortable: true},
	                   {header: 'Login', width:100,  dataIndex:'usuario',  sortable: true},
	                   {header: 'Estatus', width:50,   dataIndex:'status',  sortable: true},
	                   {header: 'Nivel', width:50,   dataIndex:'nivel_id',  sortable: true},
                        {
                            xtype: 'actioncolumn',
                            width: 25,
                            items: [
                                {
                                    icon   : 'imagenes/icons/user_edit.png', 
                                    tooltip: 'Editar Usuario',
                                    handler: function(grid, rowIndex, colIndex) {
                                        var rec = storeListaUsuarios.getAt(rowIndex);
                                        adminUserForm.formload(rec.get('cod_usuario'),false);
                                    }
                                }
                            ]
                        },
                        {
                            xtype: 'actioncolumn',
                            width: 25,
                            items: [
                                {
                                    icon   : 'imagenes/icons/group_add.png', 
                                    tooltip: 'Copiar Usuario',
                                    handler: function(grid, rowIndex, colIndex) {
                                        var rec = storeListaUsuarios.getAt(rowIndex);
                                        adminUserForm.formload(rec.get('cod_usuario'),true);
                                    }
                                }
                            ]
                        }
	               ]);
	},
	
	initColumnModel2 : function(){
        return new Ext.grid.ColumnModel([
            //expander,
            {header: 'Men&uacute;', dataIndex:'nombre_menu',  sortable: false},
            {header: 'Opci&oacute;n', dataIndex:'opcion_menu',  sortable: false},
            {xtype:'checkcolumn',  align:'center', dataIndex: 'acceso', width: 20, editable:true,
            header: '<input type="checkbox" id="select-all-sec-usuario" style="x-grid-checkcolumn" onclick="adminUserForm.headerClick(\'select-all-sec-usuario\')"/>',
            menuDisabled : true,
                renderer:function(v, params, record){	
                        
                        //console.log(v,record.data.acceso_act,record.dirty)
                        if(record.data.acceso_act == 0 && v == 1 && record.dirty){
                            record.data.acceso = 1;
                            //console.log(1)
                            record.dirty = false;
                        }
                        else if(record.data.acceso_act == 1 && v == 0 && record.dirty){
                            record.data.acceso = 0;                            
                            //console.log(2)
                            record.dirty = false;
                        }
                        ///console.log(record.data.acceso)
                        record.dirty = false;
                        
                        if(v == 1){//if(record.data.acceso == 1){
                            return "<img src='imagenes/icons/accept.png' style:'cursor:pointer'>";
                        }
                        else{
                            return "<img src='imagenes/icons/delete.png' style:'cursor:pointer'>";                         
                        }
                },
                listeners:{
                    itemclick:function(col,grid,rowind,e){
                        //console.log("Asdasd")
                        grid.getSelectionModel().selectRow(rowind);
                    }
                }
            }
        ]);
	},

    initColumnModel3 : function(){
        return new Ext.grid.ColumnModel([
            //expander
            {header: '', id:'col-sec-filter',dataIndex:'cod_seccion',  width: 20,filterable: true},
            {header: 'Secci&oacute;n', dataIndex:'opcion_menu',  sortable: false},
            {xtype:'checkcolumn', align:'center', dataIndex: 'acceso', width: 20, editable:true,
            header: '<input type="checkbox" id="select-all-sub-usuario" style="x-grid-checkcolumn" onclick="adminUserForm.headerClick(\'select-all-sub-usuario\')"/>',
            menuDisabled : true,
                renderer:function(v, params, record){   
                        
                        //console.log(v,record.data.acceso_act,record.dirty)
                        if(record.data.acceso_act == 0 && v == 1 && record.dirty){
                            record.data.acceso = 1;
                            //console.log(1)
                            record.dirty = false;
                        }
                        else if(record.data.acceso_act == 1 && v == 0 && record.dirty){
                            record.data.acceso = 0;                            
                            //console.log(2)
                            record.dirty = false;
                        }
                        ///console.log(record.data.acceso)
                        record.dirty = false;
                        
                        if(v == 1){//if(record.data.acceso == 1){
                            return "<img src='imagenes/icons/accept.png' style:'cursor:pointer'>";
                        }
                        else{
                            return "<img src='imagenes/icons/delete.png' style:'cursor:pointer'>";                         
                        }
                }
            }
        ]);
    },

    initColumnModel4 : function(){
        return new Ext.grid.ColumnModel([
            //expander            
            {header: 'Empresa', dataIndex:'nombre',  sortable: false, flex: 1},
            {xtype:'checkcolumn', align:'center', dataIndex: 'activo', width: 20, editable:true,
            menuDisabled : true,
                renderer:function(v, params, record){   
                        
                        record.dirty = false;
                        
                        if(v == 1){//if(record.data.acceso == 1){
                            return "<img src='imagenes/icons/accept.png' style:'cursor:pointer'>";
                        }
                        else{
                            return "<img src='imagenes/icons/delete.png' style:'cursor:pointer'>";                         
                        }
                }
            }
        ]);
    },


    headerClick:function (col){
        //console.log(col)
        var storeCambio = null;
        var gridCambio = null;
        if(col == "select-all-sub-usuario"){
            storeCambio = storeSeccionesAcceso;
            gridCambio = gridSeccionesAcceso;
        }
        else{
            storeCambio = storeOpcionesAcceso;
            gridCambio = gridOpcionesAcceso;
        }

        if(document.getElementById(col).checked==true){
            adminUserForm.selectAllInColumn(col,gridCambio,storeCambio,true);
        }
        else{
            adminUserForm.selectAllInColumn(col,gridCambio,storeCambio,false);
        }
    }, 
    selectAllInColumn:function (col,grid,store,checked){
        //record.data.acceso = 0; 
        //console.log(grid,store,checked)
        var acceso = 0;
        if(checked){acceso=1}
        var i = 0;
        Ext.iterate(grid.store.data.items, function(key, value) {    
            var record = store.getAt(i)                 
            record.data.acceso = acceso;
            i++;
        });

        if(col == "select-all-sub-usuario"){
            grid.reconfigure(store,adminUserForm.initColumnModel3());
        }
        else{
            grid.reconfigure(store,adminUserForm.initColumnModel2());
        }
        grid.doLayout();
        //store.clearGrouping();
        //grid.getView().refresh();
        //store.groupBy( "nombre_menu" ,false);
        /*if(col == "select-all-sec-uruario"){
            grid.getColumnModel().setHidden(1,true);       
        }*/
         document.getElementById(col).checked=checked;
    },
	           
	formload:function(usuarioId,copiarUsuario){
	   usuarioID = usuarioId;                                    
        operacion = "update";
                
        var myFormPanel = Ext.getCmp('edit-usuario-form');
                
		myFormPanel.getForm().load({
                    url: 'clases/controladores/ControladorApp.php',
                    waitMsg: 'Cargando Datos.',
                    method: 'post',
                    params: {
                                accion: 'Accion/Session/Obtener_Usuario',
                                cod_usuario: usuarioID,
                                output: 'json'
                    },
                    success:function(form, action){
                        var cod_empresas=[];
                        if(action.reader.jsonData.matches[0]["cod_empresas"]){
                            cod_empresas=action.reader.jsonData.matches[0]["cod_empresas"].split(",");
                        }

                        for(var i = 0; i < gridEmpresas.store.getCount(); i++) {
                            gridEmpresas.store.getAt(i).set("activo",false);
                            for(var j = 0; j < cod_empresas.length; j++) {
                                if(cod_empresas[j]==gridEmpresas.store.getAt(i).get("cod_empresa")){
                                    gridEmpresas.store.getAt(i).set("activo",true);
                                    break;
                                }
                            }
                        }


                        storeOpcionesAcceso.load({
                                    params:{
                                        task: "select",
                                        usuario_id : usuarioID,
                                        accion: 'Accion/Session/Obtener_Acceso_Usuario',
                                        output: 'json',
                                        operacion:'update'
                                    }});
                        storeSeccionesAcceso.load({
                                    params:{
                                        task: "select",
                                        usuario_id : usuarioID,
                                        accion: 'Accion/Session/Obtener_Acceso_Seccion_Usuario',
                                        output: 'json',
                                        operacion:'update'
                                    }});
                        if(copiarUsuario){
                            Ext.getCmp("usuario_id-view").setValue(0);
                        }
                    },
                    failure: function(form, action) {
                        Ext.Msg.alert("Load failed", action.result.errorMessage);
                    }
                });
	},

    Init:function(){
        
    function buscar(idBuscar,store){
    	var patron = Ext.getCmp(idBuscar).getValue();
    	storeListaUsuarios.load({
                    params:{
                            start:0, 
                            limit:25,
                            patronbuscar : patron,
                            accion: 'Accion/Session/Obtener_Usuarios',
                            output:'json'
                    }});
	}
    
    storeListaUsuarios = new Ext.data.Store({
        proxy:new Ext.data.HttpProxy({url:'clases/controladores/ControladorApp.php'}),
        remoteSort : true,
        restful : true,
        baseParams: {
            accion: 'Accion/Session/Obtener_Usuarios',
            output:'json'
        },
        reader: new Ext.data.JsonReader({
            totalProperty: "totalCount",
            root: "matches" // ,id: "bl"
            }, adminUserForm.initRecordDef()),
        listeners: {
            load: function(Store ,records, options){ }
        }
    });
    storeListaUsuarios.load({
                    params:{
                            start:0, 
                            limit:25,
                            patronbuscar : '',
                            accion: 'Accion/Session/Obtener_Usuarios',
                            output:'json'
                    }});
    


    var tbGridSust = new Ext.Toolbar({
		id:'tbb-lista-usuarios',
		autoDestroy:false,
    	buttonAlign: 'right',
    	items:	[ 
             {
      		xtype: 'textfield',
              allowBlank : false,
              minLength: 5,
              maxLength: 25,
              name: 'patronbuscar-lista-usuarios',
              id: 'patronbuscar-lista-usuarios',
              anchor:'50%',
              selectOnFocus : true,            		
              listeners:{
		        	specialkey: function(patronBlbuscar,e){ 
		            	if (e.getKey() == e.ENTER) { 
                                    buscar('patronbuscar-lista-usuarios',storeOpcionesAcceso); 
		            	}
        			}
      			}
              }, {
              text:'Buscar',
              id:'buscar-btn-lista-usuarios',
              tooltip:'Click para buscar',
              iconCls:'edit',
              icon: 'imagenes/icons/page_find.png',
              handler: function(){buscar('patronbuscar-lista-usuarios',storeOpcionesAcceso);}}]
    
    });
    
    gridUsuarios = new Ext.grid.GridPanel({
        id: 'grid-lista-usuarios',
        title: 'Usuarios',
        anchor:'95%',
        flex:1,
        region:'east',
        autoScroll:true,
        viewConfig:{forceFit:true},
        border:true,
        tbar:tbGridSust,
        height: 590,
        //height: "100%",
    	enableDragDrop   : true,
        stripeRows: true,
        ds: storeListaUsuarios,
        cm: adminUserForm.initColumnModel(),
        remoteSort:true,
        shadow: false,
        shadowOffset: 0,
        sm:  new Ext.grid.RowSelectionModel({
            singleSelect:true,
            listeners: {
                rowselect: function(SelectionModel,rownumber,row){
                }
            }
        }),
        listeners:{
        	dblclick:function(e){
                        if(!editando){
                            var grid = Ext.getCmp('grid-lista-usuarios');
                            var selmodel = grid.getSelectionModel();	    		
                            var filaSeleccionada = selmodel.getSelected();
                            
                            adminUserForm.formload(filaSeleccionada.data.cod_usuario,false);
                        }
        	}
        },
            bbar: [
                    new Ext.PagingToolbar({
		                pageSize:25,
		                store: storeListaUsuarios,
		                displayInfo: true,
		                displayMsg: "Mostrando Registros {0} - {1} of {2}",
		                emptyMsg: "No Existen Registros para mostrar" 
                    })
                   ]
    });
	
    
    var StoreEstatus = new Ext.data.SimpleStore({
        fields: ['status','status_des'],
        data : [['A','Activo'],
                ['I','Inactivo']],
        autoLoad: true
    });
    
    var comboStatus = new Ext.form.ComboBox({
  		  xtype: 'combo',
		  store: StoreEstatus,
                    fieldLabel: 'Estatus',
                  typeAhead: true,
                  forceSelection: true,
                    allowBlank : false,
                  mode: 'local',
                  triggerAction: 'all',
		  //autoSelect: true,
		  selectOnFocus: true,
		  //value: 'Tipo Documento',
		  id: 'status-view',
		  name: 'status',
		  hiddenName:     'status',
		  valueField : 'status',
		  displayField:'status_des',
		  editable: false,
		  width: 120,
		  listeners:{
				'select':function(){
							
    			},
                specialkey: function(field, e){
                    Util.enterTab(tabForm.getForm(),field, e);
                }
			}
		});                            
                            
   var storeEmpresaUsuario = new Ext.data.JsonStore({
            proxy:new Ext.data.HttpProxy({url:'clases/controladores/ControladorApp.php'}),
            autoLoad: true,
            baseParams: {
                accion:'Accion/Empresa/Get_Empresas_Combo',
                output:'json'
        },
            fields : [
                {name:'cod_empresa', type:'int'},
                {name:'nombre', type:'string'}
        ],
            listeners:{
                load:function(){
                    
                }
            }
    });
                            
                            
   var comboEmpresaUsuario =  new Ext.form.ComboBox({
            anchor:'96%',
            mode:           'remote',
            fieldLabel: 'Empresa',
            triggerAction:  'all',
            id: 'codigo_empresa_usuario',
            forceSelection: true,
            typeAhead: true,
            editable:       false,
            allowBlank : false,
            autoLoad:true,
            name:           'cod_empresa',
            hiddenName:     'cod_empresa',
            displayField:   'nombre',
            valueField:     'cod_empresa',
            store:          storeEmpresaUsuario,
            listeners:{

                specialkey: function(field, e){
                    Util.enterTab(tabForm.getForm(),field, e);
                }
            }//,
                    //value:'Periodo'
    });

          
     var storeRolUsuario = new Ext.data.JsonStore({
            proxy:new Ext.data.HttpProxy({url:'clases/controladores/ControladorApp.php'}),
            autoLoad: true,
            baseParams: {
                accion:'Accion/Session/Get_Roles_Combo',
                output:'json'
        },
            fields : [
                {name:'cod_rol', type:'int'},
                {name:'descripcion', type:'string'}
        ],
            listeners:{
                load:function(){
                    
                }
            }
    });
    var comboRolUsuario =  new Ext.form.ComboBox({
            anchor:'96%',
            mode:           'remote',
            fieldLabel: 'Rol',
            triggerAction:  'all',
            id: 'rol_usuario',
            forceSelection: true,
            typeAhead: true,
            editable:       false,
            allowBlank : false,
            name:           'cod_rol',
            hiddenName:     'cod_rol',
            displayField:   'descripcion',
            valueField:     'cod_rol',
            store:          storeRolUsuario,
            listeners:{
                select:function(ch,newval,old){//change
                    storeOpcionesAcceso.load({
                                    params:{
                                        task: "select",
                                        cod_rol : this.getValue(),
                                        accion: 'Accion/Session/Obtener_Acceso_Rol',
                                        output: 'json',
                                        operacion:"update"
                                    }});
                    storeSeccionesAcceso.load({
                                    params:{
                                        task: "select",
                                        cod_rol : this.getValue(),
                                        accion: 'Accion/Session/Obtener_Acceso_Seccion_Rol',
                                        output: 'json',
                                        operacion:"update"
                                    }});

                    //Ext.getCmp("codigo_empresa_usuario").val();
                },
                specialkey: function(field, e){
                    Util.enterTab(tabForm.getForm(),field, e);
                }
            }
    });

    var storeNivelUsuario = new Ext.data.JsonStore({
            proxy:new Ext.data.HttpProxy({url:'clases/controladores/ControladorApp.php'}),
            autoLoad: true,
            baseParams: {
                accion:'Accion/Session/Get_Niveles_Combo',
                output:'json'
        },
            fields : [
                {name:'nivel_id', type:'int'},
                {name:'descripcion', type:'string'}
        ],
            listeners:{
                load:function(){
                    
                }
            }
    });
    var comboNivelUsuario =  new Ext.form.ComboBox({
            anchor:'96%',
            mode:           'remote',
            fieldLabel: 'Nivel',
            triggerAction:  'all',
            id: 'nivel_id',
            forceSelection: true,
            typeAhead: true,
            editable:       false,
            allowBlank : false,
            name:           'nivel_id',
            hiddenName:     'nivel_id',
            displayField:   'descripcion',
            valueField:     'nivel_id',
            store:          storeNivelUsuario,
            listeners:{

                specialkey: function(field, e){
                    Util.enterTab(tabForm.getForm(),field, e);
                }
            }//,
                    //value:'Periodo'
    });

  
    
    storeOpcionesAcceso = new Ext.data.GroupingStore({
        proxy:new Ext.data.HttpProxy({url:'clases/controladores/ControladorApp.php'}),
        remoteSort : true,
        restful : true,
        baseParams: {
                  moduleId: 'sustitucion'
        },
        reader: new Ext.data.JsonReader({
            totalProperty: "totalCount",
            root: "matches" // ,id: "bl"
            }, adminUserForm.initRecordDef()),
        listeners: {
            load: function(Store ,records, options){ }
        },
        groupField: 'nombre_menu'
    });
    
    storeOpcionesAcceso.load({
        params:{
            task: "select",
            usuario_id : usuarioID,
            accion: 'Accion/Session/Obtener_Acceso_Usuario',
            output: 'json',
            operacion:'insert'
        }});
    
    gridOpcionesAcceso= new Ext.grid.EditorGridPanel({
        title:'Opciones a la que tendr&aacute; acceso',
        id: 'grid-opciones-acceso-usuario',
        anchor:'96%',
        autoScroll:true,
        loadMask:true,
        clicksToEdit: 1,
        border:true,
        //autoHeight: true,
        //height: 255,
        flex: 1,
    	//enableDragDrop   : true,
        stripeRows: true,
        ds: storeOpcionesAcceso,
        cm: adminUserForm.initColumnModel2(),
        remoteSort:true,
        shadow: false,
        shadowOffset: 0,
        selModel: new Ext.grid.RowSelectionModel({
            singleSelect:false,
            listeners: {
                rowselect: function(SelectionModel,rownumber,row){
                    //console.log(row.data.menu_id)
                    var campoFiltro = "cod_seccion";
                    if(row.data.segundo_nivel != 0){
                        campoFiltro = "menu_id";
                    }
                    storeSeccionesAcceso.filter([{
                                property     : campoFiltro,//'cod_seccion',
                                value        : row.data.menu_id,
                                anyMatch     : false, //optional, defaults to true
                                caseSensitive: true,  //optional, defaults to true
                                exactMatch : true
                            }]);
                }
            }
        }),
        viewConfig:{forceFit:true},
    	view: new Ext.grid.GroupingView({
            forceFit: true,
            showGroupName: false,
            enableNoGroups: false,
            enableGroupingMenu: true,
            hideGroupedColumn: true
        }),
        iconCls: 'icon-grid',
        collapsible: false,
        animCollapse: false
    });
    
    storeSeccionesAcceso = new Ext.data.Store({
        storeId:'store-secciones-rol-usuario',
        proxy:new Ext.data.HttpProxy({url:'clases/controladores/ControladorApp.php'}),
        remoteSort : false,
        restful : true,
        autoLoad:true,
        baseParams: {
            accion: 'Accion/Session/Obtener_Acceso_Seccion_Usuario',
            output: 'json',
            operacion:operacion
        },
        reader: new Ext.data.JsonReader({
            totalProperty: "totalCount",
            root: "matches" // ,id: "bl"
            }, adminUserForm.initRecordDef()),
        listeners: {
            load: function(Store ,records, options){ }
        }
    });


    gridSeccionesAcceso= new Ext.grid.EditorGridPanel({
        title:'Secciones',
        id: 'grid-secciones-rol-usuario',
        anchor:'96%',
        autoScroll:true,
        loadMask:true,
        clicksToEdit: 1,
        border:true,
        //height: 255,
        flex: 1,
        //enableDragDrop   : true,
        stripeRows: true,
        ds: storeSeccionesAcceso,
        cm: adminUserForm.initColumnModel3(),
        remoteSort:true,
        shadow: false,
        shadowOffset: 0,
        selModel: new Ext.grid.RowSelectionModel({
            singleSelect:false,
            listeners: {
                rowselect: function(SelectionModel,rownumber,row){
                }
            }
        }),
        viewConfig:{forceFit:true},
        iconCls: 'icon-grid',
        collapsible: false,
        animCollapse: false/*,
        plugins: [filters]*/
    });

    gridEmpresas= new Ext.grid.EditorGridPanel({
        title:'Empresas',
        id: 'grid-empresas',
        anchor:'96%',
        autoScroll:true,
        loadMask:true,
        clicksToEdit: 1,
        border:true,
        height: 200,
        hideHeaders: true,
        //enableDragDrop   : true,
        stripeRows: true,
        ds: storeEmpresaUsuario,
        cm: adminUserForm.initColumnModel4(),
        remoteSort:false,
        shadow: false,
        shadowOffset: 0,
        selModel: new Ext.grid.RowSelectionModel({
            singleSelect:false,
            listeners: {
                rowselect: function(SelectionModel,rownumber,row){
                }
            }
        }),
        viewConfig:{forceFit:true},
        iconCls: 'icon-grid',
        collapsible: false,
        animCollapse: false/*,
        plugins: [filters]*/
    });

    var tabForm = new Ext.FormPanel({
        fileUpload: true,
        region:'center',
        flex:1,
        border:false,
        url: 'clases/controladores/ControladorApp.php',
        labelAlign: 'top',
        id: 'edit-usuario-form',
        bodyStyle:'padding:5px;',
        //width: 280,
        width: "100%",
        layout: 'fit',
        reader: new Ext.data.JsonReader({
            root: 'matches',             
            fields: [
                    {name: 'nombreyapellido', type:'string'},
                    {name: 'usuario', type:'string'},
                    {name: 'email', type:'string'},
                    {name: 'status', type:'string'},
                    {name:'cod_empresa',type:'int'},
                    {name:'nivel_id',type:'int'},
                    {name:'cod_rol',type:'int'},
                    {name:'cod_usuario',type:'int'},
                    {name: 'foto', type:'string'},
                    {name:'clave_caducidad',type:'int'},
            ]
        }),
        items: [{
            layout:{
                type:'hbox',
                align: 'stretch'             
            },
            border:false,
            flex: 1,
            width: "100%",
            height: "100%",
            //defaults: { xtype : 'component', height : '100%' },

            items:[{
                columnWidth:.45,
                flex: 1,
                layout: 'fit',
                border:false,
                height: "100%",
                items: [
			                gridUsuarios
		                ]
            },{
                //columnWidth:.03,
                //flex:1,
                layout: 'form',
                flex: 0,
                border:false,   
                padding: "0 10",
                height: "100%",    
                items: [
                            {
                                xtype:'button',
                                style:'margin-top:10px',
                                icon: 'imagenes/icons/page_white_text.png',
                                tooltip:'Crear Nuevo Usuario',
                                width: 32,
                                height:32,
                                listeners:{
                                    click:function(){                                            
                                        operacion = "insert";
                                        tabForm.form.reset();                            	
                                        storeOpcionesAcceso.removeAll();
                                        storeOpcionesAcceso.load({
                                            params:{
                                                task: "select",
                                                usuario_id : usuarioID,
                                                accion: 'Accion/Session/Obtener_Acceso_Usuario',
                                                output: 'json',
                                                operacion:'insert'
                                            }});                                
                                        storeSeccionesAcceso.removeAll();
                                        storeSeccionesAcceso.load({
                                                        params:{
                                                            task: "select",
                                                            usuario_id : usuarioID,
                                                            accion: 'Accion/Session/Obtener_Acceso_Seccion_Usuario',
                                                            output: 'json',
                                                            operacion:"insert"
                                            }});
                                        
                                    }
                                }
                            },
                            /*{
                                xtype:'button',
                                style:'margin-top:10px',
                                icon: 'imagenes/icons/email_go.png',
                                tooltip:'Enviar restablecimiento de contraseña al Correo',

                                width: 32,
                                height:32,
                                listeners:{
                                    click:function(){     
                                        if(!usuarioID){
                                            alert("Seleccione el usuario para el envio de la contraseña.");
                                        }
                                        console.log(usuarioID);                                         
                                    }
                                }
                            }*/
		                ]
            },
            {
                columnWidth:.5,
                //layout: 'form',
                flex: 1,
                border:false,
                layout:{
                    type:'vbox',
                    align: 'stretch'             
                },
                //height: "100%",
                //height: "100%",
                items: [
                                {
                                    layout:'column',
                                    border:false,
                                    flex: 0,
                                    //with: "100%",
                                    items:[{
                                        columnWidth:.5,
                                        layout: 'form',
                                        border:false,
                                        items: [
                                                    {
                                                        xtype     : 'numberfield',
                                                        id: 'usuario_id-view',
                                                        name: 'cod_usuario',
                                                        hidden:true,
                                                        value:0
                                                    },
                                                    {
                                                        xtype     : 'textfield',
                                                        fieldLabel: 'Nombre',
                                                        anchor:'96%',
                                                        id: 'nombre_usuario-view',
                                                        allowBlank : false,
                                                        name: 'nombreyapellido',
                                                        listeners:{

                                                            specialkey: function(field, e){
                                                                 Util.enterTab(tabForm.getForm(),field, e);
                                                            }
                                                        }
                                                    },
                                                    {
                                                        xtype     : 'textfield',
                                                        fieldLabel: 'Login',
                                                        anchor:'96%',
                                                        id: 'login-view',
                                                        allowBlank : false,
                                                        name: 'usuario',
                                                        listeners:{

                                                            specialkey: function(field, e){
                                                                 Util.enterTab(tabForm.getForm(),field, e);
                                                            }
                                                        }
                                                    },
                                                    {
                                                        xtype     : 'textfield',
                                                        fieldLabel: 'Email',
                                                        anchor:'96%',
                                                        id: 'email-view',
                                                        allowBlank : false,
                                                        name: 'email',
                                                        listeners:{

                                                            specialkey: function(field, e){
                                                                 Util.enterTab(tabForm.getForm(),field, e);
                                                            }
                                                        }
                                                    },
                                                    {
                                                        xtype     : 'textfield',
                                                        fieldLabel: 'Password',
                                                        anchor:'96%',
                                                        id: 'password-view',
                                                        inputType:'password', 
                                                        inputAttrTpl: ['autocomplete="off"'],
                                                        allowBlank : true,
                                                        name: 'clave',
                                                        listeners:{

                                                            specialkey: function(field, e){
                                                                 Util.enterTab(tabForm.getForm(),field, e);
                                                            }
                                                        }
                                                    },
                                                    {
                                                        xtype     : 'textfield',
                                                        fieldLabel: 'Confirmar Password',
                                                        inputType:'password', 
                                                        inputAttrTpl: ['autocomplete="off"'],
                                                        anchor:'96%',
                                                        id: 'confirmar_password-view',
                                                        allowBlank : true,
                                                        name: 'confirmar_password',
                                                        listeners:{

                                                            specialkey: function(field, e){
                                                                 Util.enterTab(tabForm.getForm(),field, e);
                                                            }
                                                        }
                                                    },
                                                    {
                                                        xtype:'combo',
                                                        id: 'clave_caducidad',
                                                        name: 'clave_caducidad',
                                                        hiddenName: 'clave_caducidad',
                                                        fieldLabel: 'Caducidad',
                                                        anchor:'96%',
                                                        mode: 'local',
                                                        triggerAction: 'all',
                                                        store: new Ext.data.ArrayStore({
                                                          id: 0,
                                                          fields: ['value', 'display'],
                                                          data : [
                                                            ["30", "30 Días"],
                                                            ["60", "60 Días"],
                                                            ["90", "90 Días"],
                                                            ["180", "180 Días"],
                                                          ]                  
                                                        }),
                                                        displayField: 'display',
                                                        valueField: 'value',
                                                        allowBlank: false,
                                                        forceSelection: true,   
                                                        typeAhead: true,                 
                                                        value: '180',
                                                        editable: false,
                                                        listeners:{
                                                            specialkey: function(field, e){
                                                                 Util.enterTab(tabForm.getForm(),field, e);
                                                            }               
                                                        }
                                                    },
                                                    {
                                                        xtype: 'fileuploadfield',
                                                        id: 'foto-view',
                                                        emptyText: 'Seleccione una imagen',
                                                        fieldLabel: 'Foto',
                                                        name: 'foto',
                                                        anchor:'96%',
                                                        buttonText: '',
                                                        buttonCfg: {
                                                            iconCls: 'upload-icon'
                                                        }
                                                    },
                                                      
                                               ]
                                                },
                                                {
                                                    columnWidth:.5,
                                                    layout: 'form',
                                                    border: 1,
                                                    bodyStyle: "border: 1px solid white;",
                                                    items: [

                                                                    comboRolUsuario,
                                                                    //comboEmpresaUsuario,
                                                                    
                                                                    /*listView,
                                                                    {
                                                                        id:'myGroup',
                                                                        xtype: 'checkboxgroup',
                                                                        fieldLabel: 'Single Column',
                                                                        itemCls: 'x-check-group-alt',
                                                                        // Put all controls in a single column with width 100%
                                                                        columns: 1,
                                                                        items: [
                                                                            {boxLabel: 'Item 1', name: 'cb-col-1'},
                                                                            {boxLabel: 'Item 2', name: 'cb-col-2', checked: true},
                                                                            {boxLabel: 'Item 3', name: 'cb-col-3'}
                                                                        ]
                                                                    },*/
                                                                    comboNivelUsuario,
                                                                    comboStatus,
                                                                    //comboDashBoard,
                                                                    
                                                                    gridEmpresas,
                                                           ]
                                                }]
                                },
                        	{
                                    //layout:'column',
                                    layout:{
                                        type:'hbox',
                                        align: 'stretch'             
                                    },
                                    border:0,
                                    flex: 1,
                                    //with: "100%",
                                    //height: "100%",
                                    items:[
                                        {
                                            columnWidth:.5,
                                            layout: 'fit',
                                            flex: 1,
                                            //height: "100%",
                                            //height: 200,
                                            border:false,
                                            items: [
                                                        gridOpcionesAcceso
                                            ]
                                        },
                                        {
                                            columnWidth:.5,
                                            layout: 'fit',
                                            flex: 1,
                                            border:false,
                                            items: [
                                                    gridSeccionesAcceso                
                                            ]
                                        }
                                    ]
                            }
                       ]
            }]
        }],

        buttons: [{
            text: 'Guardar',
            listeners :{
                click : function( el, e ){
                    storeSeccionesAcceso.clearFilter(false);
        			if (tabForm.form.isValid()) {
                                    var i = 0;
                                    moduloIdArray = new Array();
                                    accesoModuloArray = new Array();
                                    
                                    var seccionIdArray = new Array();
                                    var accesoSeccionArray = new Array();
                                    var opcionSeccionArray = new Array()
                                    var arrayNivelSeccion = Array();
                                    var empresaArray=[];
                                    
                                    var breakSubmit = false;

                                    Ext.iterate(gridEmpresas.store.data.items, function(key, value) {                     
                                        if(key.data.activo===true)
                                            empresaArray.push(key.data.cod_empresa);
                                    });

                                    Ext.iterate(gridOpcionesAcceso.store.data.items, function(key, value) {                    	

                                            moduloIdArray.push(key.data.menu_id);
                                            accesoModuloArray.push(key.data.acceso);
                                            Ncont++;
                                    });


                                    Ext.iterate(gridSeccionesAcceso.store.data.items, function(key, value) {                     
                                            seccionIdArray.push(key.data.menu_id);
                                            accesoSeccionArray.push(key.data.acceso);
                                            opcionSeccionArray.push(key.data.cod_seccion);
                                            arrayNivelSeccion.push(key.data.nivel_seccion);
                                            Ncont++;
                                    });

                                    Ncont = accesoModuloArray.length;
                                    var NSec = seccionIdArray.length;

                                    if(Ncont == 0){
                                        //Ext.MessageBox.alert('Advertencia', 'Debe ingresar items para la solicitud');
                                        return;
                                    }
                                    
                                    Ext.MessageBox.buttonText.yes = "Sí";
                                    Ext.MessageBox.buttonText.no = "No";
                                    Ext.MessageBox.buttonText.cancel = "Cancelar";
                                    Ext.MessageBox.show({
                                        title:'Confirmación!',
                                        msg: 'Está agregando/actualizando el usuario '+Ext.getCmp('nombre_usuario-view').getValue()+'. <br />Desea continuar?',
                                        buttons: Ext.MessageBox.YESNOCANCEL,
                                        icon: Ext.MessageBox.QUESTION,
                                        fn: function (val){
                                            if(val == 'yes'){

                                                var opt_form={
                                                    params:{
                                                        accion: 'Accion/Session/Save',
                                                        moduloIdEnUsuario: [moduloIdArray],
                                                        accesoModuloEnUsuario: [accesoModuloArray],
                                                        num_items: Ncont,
                                                        seccionIdArray: [seccionIdArray],
                                                        accesoSeccionArray: [accesoSeccionArray],
                                                        opcionSeccionArray: [opcionSeccionArray],
                                                        arrayNivelSeccion:[arrayNivelSeccion],
                                                        num_items_seccion: NSec,
                                                        cod_empresas: empresaArray,
                                                        enviar_correo:"no"
                                                    },
                                                    waitMsg:'Guardando informaci&oacute;n...',
                                                        reset: true,
                                                        failure: function(form_instance, action) {
                                                                    Ext.MessageBox.alert('Error', 'Ha ocurrido un error de Procesamiento');
                                                                    mensajeSucces = "";
                                                        },
                                                        success: function(form_instance, action) {
                                                            tabForm.form.reset();                               
                                                            storeOpcionesAcceso.removeAll();
                                                            storeListaUsuarios.reload();
                                                            storeEmpresaUsuario.reload();
                                                            storeOpcionesAcceso.load({
                                                                                    params:{
                                                                                        task: "select",
                                                                                        usuario_id : usuarioID,
                                                                                        accion: 'Accion/Session/Obtener_Acceso_Usuario',
                                                                                        output: 'json',
                                                                                        operacion:'insert'
                                                                                    }});
                                                            storeSeccionesAcceso.load({
                                                                                    params:{
                                                                                        task: "select",
                                                                                        usuario_id : usuarioID,
                                                                                        accion: 'Accion/Session/Obtener_Acceso_Seccion_Usuario',
                                                                                        output: 'json',
                                                                                        operacion:'insert'
                                                                                    }});
                                                        }
                                                };

                                                //si hay contraseña (si es nuevo o editar) preguntar si desea enviar por correo la contraseña asignada
                                                if(Ext.getCmp('password-view').getValue() && Ext.getCmp('email-view').getValue()){
                                                    Ext.MessageBox.show({
                                                        title:'Contraseña al Correo!',
                                                        msg: '¿Desea enviar la contraseña asignada al correo?',
                                                        buttons: Ext.MessageBox.YESNOCANCEL,
                                                        icon: Ext.MessageBox.QUESTION,
                                                        fn: function (val){
                                                            if(val == 'yes'){
                                                                opt_form.params.enviar_correo="si";
                                                                tabForm.form.submit(opt_form);
                                                            }
                                                            else if(val == 'no'){
                                                                tabForm.form.submit(opt_form);
                                                            }
                                                        },                                                                
                                                    });//FIN DEL 2do Ext.MessageBox.show
                                                }
                                                else{
                                                    tabForm.form.submit(opt_form);
                                                }
                                                
                                                
                                            }
                                        },
                                                    
                                    });
                                }
        			else{
                                    Ext.MessageBox.alert('Error', 'Debe especificar todos los campos');
                                }
                }
            }
        },
        {
            text: 'Cancelar',
            listeners:{
	            click: function( el, e ){
	            	tabForm.form.reset();           	
	        	
	        	}
        	}
        }]
    });
    
    var panel_east =  new Ext.Panel({
            autoDestroy:false,
            id: 'panel-east-resumen-usuario',
            region: 'east',
            //title: 'Casos Con Opciones Rechazadas',
            collapsible: false,
            split: false,
            width: 280,
            margins: '0 5 0 0',
            layout: {
                type:'fit',
                padding:'5',
                align:'stretch'
            },
            items: [tabForm],
            listeners:{
                added:function(cmp,ower,ind){
//                  this.doLayout();
                }
            }
        });
    /*adminUserFormWin = new Ext.Window({
        closeAction:'hide',
        draggable: true,
        modal: true,
        id: 'adminUserForm-win',
        layout: 'fit',
        maximizable:false,
        minHeight: 250,
        minWidth: 500,
        plain: false,
        resizable: true,
        items: [ tabForm ],
        title: 'Administraci&oacute;n de usuarios',
        height: 680,//490
        width: 1024,
        listeners:{
            afterrender:function(e){                
            }
        },
        customLoad:function(){
            tabForm.form.reset();                            	
            storeOpcionesAcceso.removeAll();
            storeListaUsuarios.load({
                    params:{
                            start:0, 
                            limit:25,
                            patronbuscar : '',
                            accion: 'Accion/Session/Obtener_Usuarios',
                            output:'json'
                    }});
            storeOpcionesAcceso.load({
                                    params:{
                                        task: "select",
                                        usuario_id : usuarioID,
                                        accion: 'Accion/Session/Obtener_Acceso_Usuario',
                                        output: 'json',
                                        operacion:'insert'
                                    }});
        }
    });
    
    adminUserFormWin.show();*/

    var panelContainerModsApp = new Ext.Panel({
            autoDestroy:false,
            id:'dashboard-adm-user',
            layout: 'border',
            region:'center',
            customLoad:function(){
                storeListaUsuarios.load({params:{start:0, limit:25}});
            },
//          flex:1,
            //id:'panel-mods-app',
            items: [tabForm]//[resumen_pedidos,grid_resumen_transito]
        });
        
        t = setInterval("customLoad()",300000);
}
};
}();
//
Ext.onReady(adminUserForm.Init, adminUserForm, true);/*
Ext.getDoc().on('keypress', function(event, target) {

                // get the form field component
                var targetEl = Ext.get(target.id),
                    fieldEl = targetEl.up('[class*=x-field]') || {},
                    field = Ext.getCmp(fieldEl.id);

                if (
                    // the ENTER key was pressed...
                    event.ENTER == event.getKey() &&

                    // from a form field...
                    field &&

                    // which has valid data.
                    field.isValid()

                    ) {

                    // get the next form field
                    var next = field.next('[isFormField]');

                    // focus the next field if it exists
                    if (next) {
                        event.stopEvent();
                        next.focus();
                    }                   
                }
            }); */
//adminUserForm.Init();

