<?php

require_once '../BDControlador.php';
require_once '../Session.php';
//if(!isset($_SESSION)){session_start();} 
class ModeloConf {
	
	private $bd = null;
	
	public function getListaAlmacen($request){
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			$patron = "";
			
			$orden = " order by almacen asc";
			
			
			$sql="select *
					from conf_almacen
					where 1=1
			".$orden." ";
			
			$this->bd->setQuery($sql);	
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
			$matches = Array();
			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return $matches;
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			//$arrayError = 'Error No: ' . $e->getCode().' Error Message: ' . $e->getMessage().' Stack Trace: ' . nl2br($e->getTraceAsString());
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
		
	}	
        	
	public function obtenerIpLocal($request){
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			$patron = "";
			
			$orden = " order by almacen asc";
			
			
			$sql = "select ip_host,puerto_tomcat,puerto_web from conf_ip where tipo='local'";
			
			$this->bd->setQuery($sql);	
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
			$matches = Array();
			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return $matches;
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			//$arrayError = 'Error No: ' . $e->getCode().' Error Message: ' . $e->getMessage().' Stack Trace: ' . nl2br($e->getTraceAsString());
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
	}
	
	public function obtenerIpRemota($request){
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			$patron = "";
			
			$orden = " order by almacen asc";
			
			
			$sql = "select ip_host,puerto_tomcat,puerto_web from conf_ip where tipo='gateway'";
			
			$this->bd->setQuery($sql);	
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
			$matches = Array();
			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return $matches;
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			//$arrayError = 'Error No: ' . $e->getCode().' Error Message: ' . $e->getMessage().' Stack Trace: ' . nl2br($e->getTraceAsString());
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
	}
	
	public function obtenerIps($request,Session $session){
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			$patron = "";
			/*
			$orden = " order by almacen asc";
			
			
			$sql = "select ip_host,puerto_tomcat,puerto_web from conf_ip where tipo='local'";
			
			$this->bd->setQuery($sql);	
			$result = $this->bd->ejecutaInstruccion();
			$row1 = $this->bd->fetch($result);
                        
                        $sql = "select ip_host,puerto_tomcat,puerto_web from conf_ip where tipo='gateway'";
			
			$this->bd->setQuery($sql);	
			$result = $this->bd->ejecutaInstruccion();
			$row2 = $this->bd->fetch($result);*/
			
			return Array('ip_local' => $session->getConf("HOST_TOMCAT_LOCAL"),'ip_remota' => $session->getConf("HOST_TOMCAT_REMOTE"),'puerto_tomcat' => $session->getConf("PORT_TOMCAT_LOCAL"),'puerto_web' => $session->getConf("PORT_TOMCAT_REMOTE"));
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			//$arrayError = 'Error No: ' . $e->getCode().' Error Message: ' . $e->getMessage().' Stack Trace: ' . nl2br($e->getTraceAsString());
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
	}
        
	public function obtenerEnlacesExternos(Session &$session,$request){ //Session &
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			
			$sql="SELECT tps.system,tps.url,tpsu.user,tpsu.password,tpsp.params,concat(tps.system,' - ',tpsp.descripcion) descripcion 
                               from third_party_system tps
                                inner join third_party_system_users tpsu on tpsu.tps_id = tps.tps_id
                                inner join third_party_system_params tpsp on tpsp.tps_id = tpsu.tps_id and tpsp.user = tpsu.user 
                                where tpsu.usuario_id = '".$session->getUsuarioId()."'"; 
			$this->bd->setQuery($sql);
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
			$matches = Array();
			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return Array('totalCount' => $num,'matches' => $matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
	}
        
	public function getListaConf($request){ //Session &
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			
			$sql="SELECT * 
                               from erp_conf.conf order by type asc"; 
			$this->bd->setQuery($sql);
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
			$matches = Array();
			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return Array('totalCount' => $num,'matches' => $matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
	}
	public function listarDepartamento($request){
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			$patron = "";
			
			$orden = " order by departamento asc";
			
			
			$sql="select depto_id,nombre departamento, almacen_id
					from departamento 
					where 1=1
			".$orden." ";
			
			$this->bd->setQuery($sql);	
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
			$matches = Array();
			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return $matches;
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			//$arrayError = 'Error No: ' . $e->getCode().' Error Message: ' . $e->getMessage().' Stack Trace: ' . nl2br($e->getTraceAsString());
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
		
	}
        
	public function listarTipoUsuario($request){
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			$patron = "";
			
			$orden = " order by tipo_usuario asc";
			
			
			$sql="select tipo_usr_id,descripcion tipo_usuario
					from usuario_tipo
					where 1=1
			".$orden." ";
			
			$this->bd->setQuery($sql);	
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
			$matches = Array();
			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return $matches;
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			//$arrayError = 'Error No: ' . $e->getCode().' Error Message: ' . $e->getMessage().' Stack Trace: ' . nl2br($e->getTraceAsString());
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}		
	}
        
	public function listarDashboard($request){
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			$patron = "";
			
			$orden = " order by dashborad asc";
			
			
			$sql="select dash_id,descripcion dashborad
					from dashboard
					where 1=1
			".$orden." ";
			
			$this->bd->setQuery($sql);	
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
			$matches = Array();
			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return $matches;
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			//$arrayError = 'Error No: ' . $e->getCode().' Error Message: ' . $e->getMessage().' Stack Trace: ' . nl2br($e->getTraceAsString());
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}		
	}
        
	public function save(Session &$session,$request){ //Session &
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			
                        if($request['conf_id'] == 0){
                            $sql="insert into erp_conf.conf (type,property,value) values 
                            ('".$request['type']."','".$request['property']."','".$request['value']."')"; 
                        }
                        else{
                            
                            $sql="update erp_conf.conf set type='".$request['type']."',property='".$request['property']."',
                                value='".$request['value']."' 
                                    where conf_id = '".$request['conf_id']."'"; 
                        }
			$this->bd->setQuery($sql);
			$this->bd->ejecutaInstruccion();
			
			
			return Array('success' => true,'mensaje' => "exito");
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
	}


	public function getActualizacionesPendientes($request){ //Session &
		$num=0;
		$this->bd = new BDControlador();
		try{

			$this->bd->conectar();
			$patron = "";
			
			$orden = " order by dashborad asc";
			
			
			$sql="select distinct archivo from actualizacion_db where 1=1";			
			$this->bd->setQuery($sql);	
			$result = $this->bd->ejecutaInstruccion();
			$acts = Array();
			while ( $item = $this->bd->fetch($result)) {
			    $acts[] = $item['archivo'];
			}

			$ext_permitidas = array("SQL","sql");
		    $directorio = opendir("../../bd/updates/");
		    
		    $matches = Array();
		    $ext = "";

		    function get_timestamp_archivo($archivo){
		    	$explode1 = explode("_", $archivo);

		    	if(count($explode1) == 3){
		    		$explode2 = explode(".", $explode1[2]);
		    		$fecha = $explode2[0];
		    	}
		    	else{
		    		$explode2 = explode(".", $explode1[5]);
		    		$fecha = $explode1[2].$explode1[3].$explode1[4].$explode2[0];
		    	}
		    	return substr($fecha, 0, 4)."-".substr($fecha, 4, 2)."-".substr($fecha, 6, 2)." ".substr($fecha, 8, 2).":".substr($fecha, 10, 2).":".substr($fecha, 12, 2);
		    }

		    while ($archivo = readdir($directorio)){
		            if (!is_dir($archivo)){
		                $arrayTabla['archivo'] = $archivo;
		                $arrayTabla['bd'] = "";
		                $arrayTabla['fecha'] = date ("d/m/Y H:i:s.", filectime("../../bd/updates/".$archivo));
		                $arrayTabla['timestamp_format'] = get_timestamp_archivo($archivo);//date ("Y-d-m H:i:s.", filectime("../../bd/updates/".$archivo));
			        	$contenido = file_get_contents("../../bd/updates/".$archivo);
			        	$encabezado = explode(";", $contenido);
			            $observacion = $encabezado[1];
			            $borrar = array("/", "*");
						$observacion = str_replace($borrar, "", $observacion);
						$arrayTabla['observacion'] = $observacion;


		                $arrayTabla['upd'] = (int)in_array($archivo, $acts);

		                $extAux = explode(".", $archivo);
		                if(count($extAux) != 1){
		                    $ext = strtolower($extAux[1]);
		                    if(in_array($ext,$ext_permitidas)){
		                        $matches[] = $arrayTabla;
		                    }    
		                }            
		            }
		        }
				function ordenar($a,$b){ 
					 global $directorio; 
					 $a = strtotime($a['timestamp_format']); //filectime("../../bd/updates/".$a['archivo']); 
					 $b = strtotime($b['timestamp_format']); //filectime("../../bd/updates/".$b['archivo']); 
					 if ($a == $b) { 
					 return 0; 
					 } 
				 	return ($a < $b) ? 1 : -1; 
				}
			usort($matches, "ordenar");
			
			return Array('success' => true,'matches' => $matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
	}

	public function getActualizacionesHechas($request){ //Session &
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			
            $sql="select *
					from actualizacion_db
					where 1=1 order by fecha_actualizacion desc";
			
			$this->bd->setQuery($sql);	
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
			$matches = Array();
			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			
			
			return Array('totalCount' => $num,'matches' => $matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
	}

	public function getBds($request){ //Session &
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			
            $sql="show databases";
			
			$this->bd->setQuery($sql);	
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
			$matches = Array();			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			
			
			return Array('success' => true,'totalCount' => $num,'matches' => $matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
	}

	public function actualizarBd($request){ //Session &
		$num=0;
		$this->bd = new BDControlador();
		$this->bdLog = new BDControlador();
		try{
			$this->bdLog->conectar();
		    $this->bdLog->autocommit(FALSE);
		    $arrayBases = explode(",", $request['databases']);
  			$arrayArchivos = explode(",", $request['archivos']);
			for ($ind=0; $ind < $request['nArchivos']; $ind++){

		        for ($ibas=0; $ibas < $request['nBases']; $ibas++) { 
		            $this->bd->setBd($arrayBases[$ibas]);
		            $this->bd->conectar();
		            $this->bd->autocommit(FALSE);


		            $ext_permitidas = array("SQL","sql");
		            //$directorio = opendir("../../../db/actualizaciones/por_hacer/");
		            
		            $matches = Array();
		            $ext = "";
		            //while ($archivo = readdir($directorio)){
		            $archivo = $arrayArchivos[$ind];
		            
		            $this->bd->setQuery("select archivo from selectra_conf_pyme.actualizacion_db where archivo='".$archivo ."' and base_datos='".$arrayBases[$ibas]."';");
		            $resultadoVerificaion = $this->bd->ejecutaInstruccion();
					$num = $this->bd->numero_filas($resultadoVerificaion);
					if ($num == 0){

		                if (!is_dir("../../bd/updates/".$arrayArchivos[$ind])){
		                    //$archivo;
		                    //$arrayTabla['bd'] = "";

		                    $extAux = explode(".", $archivo);
		                    if(count($extAux) != 1){
		                        $ext = strtolower($extAux[1]);
		                        if(in_array($ext,$ext_permitidas)){
		                            //COMIENZA EJECUCION

		                            $sql = file_get_contents("../../bd/updates/".$archivo); // Leo el archivo
		                            // Lo siguiente hace gran parte de la magia, nos devuelve todos los tokens no vacíos del archivo
		                            $tokens = preg_split("/(--.*\s+|\s+|\/\*.*\*\/)/", $sql, null, PREG_SPLIT_NO_EMPTY);
		                            $length = count($tokens);
		                            
		                            $query = '';
		                            $inSentence = false;
		                            $curDelimiter = ";";
		                            // Comienzo a recorrer el string
		                            $this->bd->setQuery("SET FOREIGN_KEY_CHECKS=0;");
		                            $this->bd->ejecutaInstruccion();
		                            for($i = 0; $i < $length; $i++) {
		                                    $lower = strtolower($tokens[$i]);
		                                    $isStarter = in_array($lower, array( // Chequeo si el token actual es el comienzo de una consulta
		                                         'select', 'update', 'delete', 'insert',
		                                         'delimiter','truncate', 'create', 'alter', 'drop', 
		                                         'call', 'set', 'use'
		                                    ));

		                                    if($inSentence) { // Si estoy parseando una sentencia me fijo si lo que viene es un delimitador para terminar la consulta
		                                         if($tokens[$i] == $curDelimiter || substr(trim($tokens[$i]), -1*(strlen($curDelimiter))) == $curDelimiter) { 
		                                      // Si terminamos el parseo ejecuto la consulta
		                                      $query .= str_replace($curDelimiter, '', $tokens[$i]); // Elimino el delimitador
		                                      //$_db->query($query);
		                                      $this->bd->setQuery($query);
		                                      $res = $this->bd->ejecutaInstruccion();
		                                      
		                                          
		                                      
		                                      
		                                      
		                                      $query = ""; // Preparo la consulta para continuar con la siguiente sentencia
		                                      $tokens[$i] = '';
		                                      $inSentence = false;
		                                         }
		                                    }
		                                    else if($isStarter) { // Si hay que comenzar una consulta, verifico qué tipo de consulta es
		                                         // Si es delimitador, cambio el delimitador usado. No marco comienzo de secuencia porque el delimitador se encarga de eso en la próxima iteración
		                                         if($lower == 'delimiter' && isset($tokens[$i+1]))  
		                                      $curDelimiter = $tokens[$i+1]; 
		                                         else
		                                      $inSentence = true; // Si no, comienzo una consulta 
		                                         $query = "";
		                                    }
		                                    $query .= "{$tokens[$i]} "; // Voy acumulando los tokens en el string que contiene la consulta
		                            }
		                            $this->bd->setQuery("SET FOREIGN_KEY_CHECKS=1;");
		                            $this->bd->ejecutaInstruccion();
		                            //TERMINA EJECUCION
		                        }    
		                    }            
		                }
		            

		            $this->bd->commit();
		            $this->bd->desconectar();

			        $this->bdLog->setQuery("insert into selectra_conf_pyme.actualizacion_db (archivo,base_datos,observacion) values('".$arrayArchivos[$ind]."','".$arrayBases[($ibas)]."','');");
			        $this->bdLog->ejecutaInstruccion();
			        }
		        }
		        
		      }      
		      $this->bdLog->commit();
		      $this->bdLog->desconectar();  
		      return  json_encode(Array('success' => true,'mensaje' => 'Actualizaci&oacute;n exitosa. '));
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
	}


}

?>