<?php

require_once '../../generalp.config.inc.php';
require_once '../BDControlador.php';
require_once '../Session.php';
require_once '../utils/SysInfo.php';
//if(!isset($_SESSION)){session_start();} 
class ModeloSession {
	
	private $bd = null;
	
	public function iniciarSession(Session &$session){
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			$this->bd->autocommit(FALSE);
			
			$login = $session->getLogin();
			$password = md5($session->getPassword());
			
			$consulta = "select u.*,'dashboard-adm-user' dashboard_id,'modulos/conf/adminUserForm.js' dashboard_file
                         	from usuarios u 
						where u.usuario='".$login."' and u.clave='".$password."'";
			
			$this->bd->setQuery($consulta);	
			$resultado = $this->bd->ejecutaInstruccion();
			$numero = $this->bd->numero_filas($resultado);
			$fila = $this->bd->fetch($resultado);
	
			$empresa_usuario = $fila['perfil'];
			if($numero != 0){
				$session->setUsuarioId($fila['cod_usuario']);
				$session->setNombre($fila['nombreyapellido']);
				$session->setLogin($fila['usuario']);
				//$session->setPaisDescrip($fila['country_short_description']);
				$session->setDashBoardId($fila['dashboard_id']);
				$session->setDashBoardFile($fila['dashboard_file']);
                $session->setTipo($fila['perfil']);
                //$session->setDepartamento($fila['depto_id']);
				
				//$numeroSession = $this->logLogin($session->getUsuarioId());
				
				//$session->setSessionId($numeroSession);
			
                //$cnf = new Conf();
                //$array = $cnf->getAllConf();
                //$session->setConfs($array);
				
				$_SESSION['session_erp_user'] = $session;
				
			}	
			else{
				return  Array('success' => true,'login' => false,'mensaje' => "Usuario No Registrado");	
			}
                        
			$this->bd->commit();
			return  Array('success' => true,'login' => true,'mensaje' => "Bienvenido(a) ".$session->getNombre(),'user' => Array('usuario_id' => $session->getUsuarioId(),'nombre' => $session->getNombre(),'login' => $session->getLogin(),'depto_id' => $session->getDepartamento(),'dashboard_file' => $session->getDashBoardFile(),'tipo_usr_id'=>$session->getTipo(),'dashboard_id' => $session->getDashBoardId(),'cod_empresa'=>$empresa_usuario));
		} 
		catch(Exception $e ) {
			$this->bd->rollback();
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			//$arrayError = 'Error No: ' . $e->getCode().' Error Message: ' . $e->getMessage().' Stack Trace: ' . nl2br($e->getTraceAsString());
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
		
	}
	
	function logout(Session &$session){
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			$this->bd->autocommit(FALSE);
			
			//$this->bd->setQuery("update erp_conf.log_session set end = NOW() where log_session_id='".$session->getSessionId()."'");
			//$this->bd->ejecutaInstruccion();
			$this->bd->commit();
			$this->bd->desconectar();
			session_unset();
			session_destroy();
			return  Array('success' => true,'mensaje' => "Hasta luego");
		} 
		catch(Exception $e ) {
			$this->bd->rollback();
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
	}
	
	function logLogin($userId){
		
		//$consulta = "insert into erp_conf.log_session (user_id,host) values('".$userId."','".$_SERVER['REMOTE_ADDR']."')";
		$consulta = "update usuarios set ultima_sesion = CURRENT_TIMESTAMP where usuario='".$userId."'";
		$this->bd->setQuery($consulta);	
		$entro = $this->bd->ejecutaInstruccion();

		$numero = $this->bd->lastId();
		
		return $numero;
	}
	
	function construirMenuUsuario(Session &$session){
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			$this->bd->autocommit(FALSE);
			
			$usrId = $session->getUsuarioId();
			// m2.id_cmp_to_add
			$consulta = "SELECT m.menu_name nombre_menu, m2.menu_name opcion_menu,coalesce(m2.parent_menu,0) parent_menu, 
						m.link enlace_menu, m2.link enlace_opcion, m.menu_id modulo_padre,
						 m2.menu_id modulo,m2.mod_menu_id idmod, m2.id_cmp_to_add,m2.show_type,
						 u.user_name nombre_usuario,
                                                 m.menu_image parent_menu_image,m2.menu_image
						FROM erp_conf.conf_menu m
						LEFT JOIN erp_conf.conf_menu m2 ON m.menu_id = m2.parent_mod
						INNER JOIN erp_conf.user_access_mod per ON m2.menu_id = per.menu_id
						inner join erp_conf.user u on u.user_id = '".$usrId."' 
                                                WHERE per.access =  1
						AND per.user_id =  '".$usrId."'
						AND isnull(m.parent_mod) = 1
						AND m2.parent_mod !=0
						ORDER BY m.parent_mod, m.menu_order, 
                                                    m2.parent_mod, 
                                                    coalesce(m2.parent_menu,m2.menu_id),m2.show_type,m2.menu_order asc";//m.menu_id
			//left join url_third_party_system utps on utps.url_tps_id = m2.url_tps_id
                        //left join url_third_party_system_params utpsp on utpsp.url_tps_id = utps.url_tps_id and utpsp.user = u.login_micro_strategy
						
			$this->bd->setQuery($consulta);	
			//echo $consulta;
			$resultado = $this->bd->ejecutaInstruccion();
			$numero = $this->bd->numero_filas($resultado);
			$matches = Array();
	
			while ( $item = $this->bd->fetch($resultado)) {
			    $matches[] = $item;
			}
			$this->bd->commit();
			return  Array('success' => true,'totalCount' => $numero,'matches' => $matches);
		} 
		catch(Exception $e ) {
			$this->bd->rollback();
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			//$arrayError = 'Error No: ' . $e->getCode().' Error Message: ' . $e->getMessage().' Stack Trace: ' . nl2br($e->getTraceAsString());
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
	}
	
	function actualizaDatos(Session &$session,$request){
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			$this->bd->autocommit(FALSE);
			
			$consulta = "select count(u.user_id) existe
						from erp_conf.user u 
						where u.login='".$session->getLogin()."' and u.password='".$request['password_actual']."'";
			$this->bd->setQuery($consulta);	
			$resultado = $this->bd->ejecutaInstruccion();
			
			$existe = $this->bd->fetch($resultado);
			if($existe['existe'] > 0 ){
				$this->bd->setQuery("update erp_conf.user set email='".$request['email']."',password='".$request['password']."' 
				where user_id='".$session->getUsuarioId()."'");
				$this->bd->ejecutaInstruccion();
				$mensaje = "Datos actualizados con &eacute;xito";	
				$valido = true;
			}
			else{
				$mensaje = "Datos incorrectos";	
				$valido = false;
			}
			
			$this->bd->commit();
			$this->bd->desconectar();
			return  Array('success' => true,'mensaje' => $mensaje,'valido' => $valido );
			
		} 
		catch(Exception $e ) {
			$this->bd->rollback();
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
	}	
	
	public function getRoles($request){ //Session &
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			
                        $andpatron2 = "";
                        $orden = "";
                        $patron = "";
                        
			if(!empty($request['sort']) && !empty($request['dir'])){
				$orden = " order by ".$request['sort']." ".$request['dir'];
			}
			else{
				$orden = " order by descripcion asc";
			}
			if(!empty($request['patronbuscar'])){
				$patron = $request['patronbuscar'];
				
				$andpatron2 = " and (descripcion like '%".$patron."%')";
			}
                        
			$sql="SELECT r.cod_rol,r.descripcion
					FROM roles r
					left join nomempresa e on e.codigo = r.cod_empresa
					WHERE 1=1 ".$andpatron2;
                        //$session->getUsuarioId()
                        //echo $sql;
			$this->bd->setQuery($sql);
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
                        $sql="SELECT r.cod_rol,r.descripcion,e.nombre
					FROM roles r
					left join nomempresa e on e.codigo = r.cod_empresa
					WHERE 1=1 ".$andpatron2." ".$orden." limit ".$request['start'].", ".$request['limit'];
                        $this->bd->setQuery($sql);
			$result = $this->bd->ejecutaInstruccion();
                        
			$matches = Array();
			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return Array('totalCount' => $num,'matches' => $matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
		
	}

    public function obtenerUsuarios($request){ //Session &
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			
                        $andpatron2 = "";
                        $orden = "";
                        $patron = "";
                        
			if(!empty($request['sort']) && !empty($request['dir'])){
				$orden = " order by ".$request['sort']." ".$request['dir'];
			}
			else{
				$orden = " order by nombreyapellido asc";
			}
			if(!empty($request['patronbuscar'])){
				$patron = $request['patronbuscar'];
				
				$andpatron2 = " and (nombreyapellido like '%".$patron."%' or usuario like '%".$patron."%'
                                      or email like '%".$patron."%')";
			}
                        
			$sql="SELECT u.nombreyapellido nombre_usuario,u.email,u.usuario login,
                                (case when u.status='A' then 'Activo' else 'Inactivo' end) status,u.nivel_id
					FROM usuarios u
					WHERE 1=1 ".$andpatron2;
                        //$session->getUsuarioId()
                        //echo $sql;
			$this->bd->setQuery($sql);
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
                        $sql="SELECT u.cod_usuario,u.perfil cod_rol,u.nombreyapellido,u.email,u.usuario,
                                (case when u.status='A' then 'Activo' else 'Inactivo' end) status,u.nivel_id
					FROM usuarios u					
					WHERE 1=1 ".$andpatron2." ".$orden." limit ".$request['start'].", ".$request['limit'];
                        $this->bd->setQuery($sql);
			$result = $this->bd->ejecutaInstruccion();
                        
			$matches = Array();
			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return Array('totalCount' => $num,'matches' => $matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
		
	}		
	
    public function obtenerUsuario($request){ //Session &
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			
			$sql="SELECT nivel_id,cod_empresas,cod_usuario,nombreyapellido,usuario,perfil cod_rol,email,foto,status,clave,clave confirmar_password, clave_caducidad
					FROM usuarios
					WHERE cod_usuario='".$request['cod_usuario']."' ";
                        //$session->getUsuarioId()
                        //echo $sql;
			$this->bd->setQuery($sql);
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
                        
			$matches = Array();
			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return Array('success' => true,'totalCount' => $num,'matches' => $matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
		
	}

    public function obtenerOpciones($request){ //Session &
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			
                        $andpatron2 = "";
                        $andpatron3 = "";
                        $orden = "";
                        $patron = "";
                        
			if(!empty($request['sort']) && !empty($request['dir'])){
				$orden = " order by ".$request['sort']." ".$request['dir'];
			}
			else{
				$orden = " order by cod_modulo_padre asc";
			}
			if(!empty($request['patronbuscar'])){
				$patron = $request['patronbuscar'];
				
				$andpatron2 = " and (m.nom_menu like '%".$patron."%' or m2.nom_menu like '%".$patron."%')";
				$andpatron3 = " and (m3.nom_menu like '%".$patron."%' or m3.nom_menu like '%".$patron."%')";
			}
                        
			$sql = "SELECT m.orden,m.cod_modulo_padre,s.sistema,m.nom_menu nombre_menu,m2.cod_modulo menu_id, m2.nom_menu opcion_menu,0 visible
                                                    FROM modulos m
                                                    LEFT JOIN modulos m2 ON m.cod_modulo = m2.cod_modulo_padre
                                                    left join sistemas s on s.cod_sistema = m2.cod_sistema
                                                    WHERE 1 ".$andpatron2."
                                                    union all (
                                                   	SELECT m3.orden,m3.cod_modulo_padre,s2.sistema,'' nombre_menu,m3.cod_modulo menu_id, m3.nom_menu opcion_menu,m3.visible  
                                                    FROM modulos m3
                                                    left join sistemas s2 on s2.cod_sistema = m3.cod_sistema
                                                    WHERE m3.cod_modulo_padre=0 ".$andpatron3."
                                                   	)";
			//(isnull(m.cod_modulo_padre)=1 or m.cod_modulo_padre=0) AND m2.cod_modulo_padre !=0 
			$this->bd->setQuery($sql);
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
                        $sql="SELECT m.orden,m2.orden orden2,m.cod_modulo_padre,s.sistema,m.nom_menu nombre_menu,m2.cod_modulo menu_id, m2.nom_menu opcion_menu,m2.visible
                                                    FROM modulos m
                                                    LEFT JOIN modulos m2 ON m.cod_modulo = m2.cod_modulo_padre
                                                    left join sistemas s on s.cod_sistema = m2.cod_sistema
                                                    WHERE 1 ".$andpatron2." 
                                                    union all (
                                                   	SELECT m3.orden,m3.orden orden2,m3.cod_modulo_padre,s2.sistema,'' nombre_menu,m3.cod_modulo menu_id, m3.nom_menu opcion_menu,m3.visible  
                                                    FROM modulos m3
                                                    left join sistemas s2 on s2.cod_sistema = m3.cod_sistema
                                                    WHERE m3.cod_modulo_padre=0 ".$andpatron3."
                                                   	)
                                                    ORDER BY cod_modulo_padre, orden2 asc limit ".$request['start'].", ".$request['limit'];
            //(isnull(m.cod_modulo_padre)=1 or m.cod_modulo_padre=0) AND m2.cod_modulo_padre !=0 
            $this->bd->setQuery($sql);
			$result = $this->bd->ejecutaInstruccion();
                        
			$matches = Array();
			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return Array('totalCount' => $num,'matches' => $matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
		
	}

	public function obtenerOpcion($request){ //Session &
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			
			$sql="SELECT *
					FROM modulos 
					WHERE cod_modulo='".$request['cod_modulo']."' ";

			$this->bd->setQuery($sql);
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
                        
			$matches = Array();			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return Array('success' => true,'totalCount' => $num,'matches' => $matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
		
	}	
    public function obtenerSecciones($request){ //Session &
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			
                        $andpatron2 = "";
                        $andpatron3 = "";
                        $orden = "";
                        $patron = "";
                        
			if(!empty($request['sort']) && !empty($request['dir'])){
				$orden = " order by ".$request['sort']." ".$request['dir'];
			}
			else{
				$orden = " order by cod_seccion asc";
			}
			if(!empty($request['patronbuscar'])){
				$patron = $request['patronbuscar'];
				
				$andpatron2 = " and (s.descripcion like '%".$patron."%' or m.nom_menu like '%".$patron."%')";
			}
                        
			$sql = "SELECT m.cod_modulo,m.nom_menu,s.cod_subseccion, s.descripcion,s.clase,s.opt_subseccion
                                                    FROM subseccion s
                                                    LEFT JOIN modulos m ON m.cod_modulo = s.cod_seccion
                                                    WHERE 1 ".$andpatron2;
			//(isnull(m.cod_modulo_padre)=1 or m.cod_modulo_padre=0) AND m2.cod_modulo_padre !=0 
			$this->bd->setQuery($sql);
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
                        $sql="SELECT s.opt_subseccion,m.cod_modulo,m.nom_menu,s.cod_subseccion, s.descripcion,s.clase,s.opt_subseccion
                                                    FROM subseccion s
                                                    LEFT JOIN modulos m ON m.cod_modulo = s.cod_seccion
                                                    WHERE 1 ".$andpatron2."
                                                   	 ORDER BY cod_seccion, descripcion asc limit ".$request['start'].", ".$request['limit'];
            //(isnull(m.cod_modulo_padre)=1 or m.cod_modulo_padre=0) AND m2.cod_modulo_padre !=0 
            $this->bd->setQuery($sql);
			$result = $this->bd->ejecutaInstruccion();
                        
			$matches = Array();
			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return Array('totalCount' => $num,'matches' => $matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
		
	}

	public function obtenerSeccion($request){ //Session &
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			
			$sql="SELECT *
					FROM subseccion 
					WHERE cod_subseccion='".$request['cod_subseccion']."' ";

			$this->bd->setQuery($sql);
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
                        
			$matches = Array();			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return Array('success' => true,'totalCount' => $num,'matches' => $matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
		
	}

	public function obtenerRol($request){ //Session &
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			
			$sql="SELECT descripcion,cod_empresa,cod_rol
					FROM roles 
					WHERE cod_rol='".$request['cod_rol']."' ";

			$this->bd->setQuery($sql);
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
                        
			$matches = Array();			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return Array('success' => true,'totalCount' => $num,'matches' => $matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
		
	}
	
    public function obtenerAccesoUsuario($request){ //Session &
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			
			/*$sql="SELECT ua.acceso,m.nombre_menu
					FROM conf_menu m
					inner join usuario_acceso ua on ua.menu_id = m.menu_id
					WHERE ua.usuario_id='".$request['usuario_id']."'
                                             order by";
                         * 
                         */
                        if($request['operacion'] == "insert"){
                        
                            $sql = "SELECT m.nom_menu nombre_menu,m2.cod_modulo menu_id, m2.nom_menu opcion_menu,0 acceso ,0 acceso_act,
                            ( SELECT COUNT( m4.cod_modulo ) FROM modulos m4 WHERE m4.cod_modulo_padre = m2.cod_modulo) segundo_nivel
                                                    FROM modulos m
                                                    LEFT JOIN modulos m2 ON m.cod_modulo = m2.cod_modulo_padre
                                                    WHERE (isnull(m.cod_modulo_padre)=1 or m.cod_modulo_padre=0) AND m2.cod_modulo_padre !=0
                                                    ORDER BY m.cod_modulo_padre, m.orden, m2.cod_modulo_padre, m2.orden asc";
                        }
                        else if($request['operacion'] == "update"){
                            $sql = "SELECT m.nom_menu nombre_menu,m2.cod_modulo menu_id, m2.nom_menu opcion_menu,per.permitido acceso ,per.permitido acceso_act,
                            ( SELECT COUNT( m4.cod_modulo ) FROM modulos m4 WHERE m4.cod_modulo_padre = m2.cod_modulo) segundo_nivel
                                                    FROM modulos m
                                                    LEFT JOIN modulos m2 ON m.cod_modulo = m2.cod_modulo_padre
                                                    LEFT JOIN modulo_usuario per ON m2.cod_modulo = per.cod_modulo and per.cod_usuario =  '".$request['usuario_id']."'
                                                    WHERE 1=1 
                                                    AND (isnull(m.cod_modulo_padre)=1 or m.cod_modulo_padre=0)
                                                    AND m2.cod_modulo_padre !=0
                                                    ORDER BY m.cod_modulo_padre, m.orden, m2.cod_modulo_padre, m2.orden asc";
                        }
                        $this->bd->setQuery($sql);
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
                        $matches = Array();
			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return Array('totalCount' => $num,'matches' => $matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
		
	}

	public function obtenerAccesoSeccionUsuario($request){ //Session &
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			
			            if($request['operacion'] == "insert"){
                        
                            $sql = "SELECT m.cod_seccion,m.cod_subseccion menu_id, m.descripcion opcion_menu,0 acceso ,0 acceso_act,1 nivel_seccion
                                                    FROM subseccion m
                                                    WHERE 1=1 
                                                    union all (
									 select m2.cod_modulo cod_seccion,m2.cod_modulo_padre menu_id,m2.nom_menu opcion_menu,0 acceso ,0 acceso_act ,2 nivel_seccion
									 from modulos m2
									 inner join modulos m3 on m2.cod_modulo_padre = m3.cod_modulo 
									 where isnull(m3.cod_modulo_padre)!=1 and m3.cod_modulo_padre!=0 
									)
                                                    ORDER BY cod_seccion,opcion_menu asc";//ORDER BY m.cod_seccion,m.descripcion asc
                        }//m.cod_seccion = '".$request['cod_modulo'] ."'
                        else if($request['operacion'] == "update"){
                            $sql = "SELECT m.cod_seccion,m.cod_subseccion menu_id, m.descripcion opcion_menu,per.permitido acceso ,per.permitido acceso_act,1 nivel_seccion
                                                    FROM subseccion m
                                                    LEFT join subseccion_usuario per on per.cod_subseccion = m.cod_subseccion and per.cod_usuario='".$request['usuario_id'] ."'
                                                    WHERE 1=1 
                                                   union all (
									 select m2.cod_modulo cod_seccion,m2.cod_modulo_padre menu_id,m2.nom_menu opcion_menu,per2.permitido acceso ,per2.permitido acceso_act ,2 nivel_seccion
									 from modulos m2
									 inner join modulos m3 on m2.cod_modulo_padre = m3.cod_modulo 
									 LEFT JOIN modulo_usuario per2 ON m2.cod_modulo = per2.cod_modulo and per2.cod_usuario =  '".$request['usuario_id']."'
									 where isnull(m3.cod_modulo_padre)!=1 and m3.cod_modulo_padre!=0 
									)
                                                    ORDER BY cod_seccion,opcion_menu asc";//ORDER BY m.cod_seccion,m.descripcion asc";
/*
 union all (
                                    SELECT m3.cod_modulo cod_seccion,m3.cod_modulo_padre menu_id, m3.nom_menu opcion_menu,per2.permitido acceso ,per2.permitido acceso_act,2 nivel_seccion
                                                    FROM modulos m2
                                                    LEFT JOIN modulos m3 ON m2.cod_modulo = m3.cod_modulo_padre
                                                    LEFT JOIN modulo_usuario per2 ON m3.cod_modulo = per2.cod_modulo and per2.cod_usuario =  '".$request['usuario_id']."'
                                                    WHERE 1=1 
                                                    AND (isnull(m2.cod_modulo_padre)=1 or m2.cod_modulo_padre=0)
                                                    AND m3.cod_modulo_padre !=0
                                                    )
*/
                                                    /*
                                                    union all (
                                    SELECT m2.cod_modulo menu_id, m2.nom_menu opcion_menu,per.permitido acceso ,per.permitido acceso_act,2 nivel_seccion
                                                    FROM modulos m
                                                    LEFT JOIN modulos m2 ON m.cod_modulo = m2.cod_modulo_padre
                                                    LEFT JOIN modulo_usuario per ON m2.cod_modulo = per.cod_modulo and per.cod_usuario =  '".$request['usuario_id']."'
                                                    WHERE 1=1 
                                                    AND (isnull(m.cod_modulo_padre)=1 or m.cod_modulo_padre=0)
                                                    AND m2.cod_modulo_padre !=0
                                                    )
                                                    */
                                                    //m.cod_seccion = '".$request['cod_modulo'] ."'
                            /*$sql = "SELECT m.nom_menu nombre_menu,m2.cod_modulo menu_id, m2.nom_menu opcion_menu,per.permitido acceso ,per.permitido acceso_act
                                                    FROM modulos m
                                                    LEFT JOIN modulos m2 ON m.cod_modulo = m2.cod_modulo_padre
                                                    INNER JOIN modulo_rol per ON m2.cod_modulo = per.cod_modulo
                                                    WHERE per.cod_rol =  '".$request['cod_rol']."'
                                                    AND (isnull(m.cod_modulo_padre)=1 or m.cod_modulo_padre=0)
                                                    AND m2.cod_modulo_padre !=0
                                                    ORDER BY m.cod_modulo_padre, m.orden, m2.cod_modulo_padre, m2.orden asc";*/
                        }
                        $this->bd->setQuery($sql);
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
                        $matches = Array();
			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return Array('totalCount' => $num,'matches' => $matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
		
	}	

	public function obtenerAccesoRol($request){ //Session &
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			
			/*$sql="SELECT ua.acceso,m.nombre_menu
					FROM conf_menu m
					inner join usuario_acceso ua on ua.menu_id = m.menu_id
					WHERE ua.usuario_id='".$request['usuario_id']."'
                                             order by";
                         * 
                         */
                        if($request['operacion'] == "insert"){
                        
                            $sql = "SELECT m.nom_menu nombre_menu,m2.cod_modulo menu_id, m2.nom_menu opcion_menu,0 acceso ,0 acceso_act,
                            ( SELECT COUNT( m4.cod_modulo ) FROM modulos m4 WHERE m4.cod_modulo_padre = m2.cod_modulo) segundo_nivel
                                                    FROM modulos m
                                                    LEFT JOIN modulos m2 ON m.cod_modulo = m2.cod_modulo_padre
                                                    WHERE (isnull(m.cod_modulo_padre)=1 or m.cod_modulo_padre=0) AND m2.cod_modulo_padre !=0
                                                    ORDER BY m.cod_modulo_padre, m.orden, m2.cod_modulo_padre, m2.orden asc";
                        }
                        else if($request['operacion'] == "update"){
                            $sql = "SELECT m.nom_menu nombre_menu,m2.cod_modulo menu_id, m2.nom_menu opcion_menu,per.permitido acceso ,per.permitido acceso_act,
                            ( SELECT COUNT( m4.cod_modulo ) FROM modulos m4 WHERE m4.cod_modulo_padre = m2.cod_modulo) segundo_nivel
                                                    FROM modulos m
                                                    LEFT JOIN modulos m2 ON m.cod_modulo = m2.cod_modulo_padre
                                                    LEFT JOIN modulo_rol per ON m2.cod_modulo = per.cod_modulo
                                                    WHERE per.cod_rol =  '".$request['cod_rol']."'
                                                    AND (isnull(m.cod_modulo_padre)=1 or m.cod_modulo_padre=0)
                                                    AND m2.cod_modulo_padre !=0
                                                    ORDER BY m.cod_modulo_padre, m.orden, m2.cod_modulo_padre, m2.orden asc";
                        }
                        $this->bd->setQuery($sql);
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
                        $matches = Array();
			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return Array('totalCount' => $num,'matches' => $matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
		
	}

	public function obtenerAccesoSeccionRol($request){ //Session &
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			
			            if($request['operacion'] == "insert"){
                        
                            $sql = "SELECT m.cod_seccion,m.cod_subseccion menu_id, m.descripcion opcion_menu,0 acceso ,0 acceso_act,1 nivel_seccion
                                                    FROM subseccion m
                                                    WHERE 1=1  
                                                    union all (
									 select m2.cod_modulo cod_seccion,m2.cod_modulo_padre menu_id,m2.nom_menu opcion_menu,0 acceso ,0 acceso_act ,2 nivel_seccion
									 from modulos m2
									 inner join modulos m3 on m2.cod_modulo_padre = m3.cod_modulo 
									 where isnull(m3.cod_modulo_padre)!=1 and m3.cod_modulo_padre!=0 
									)
                                                    ORDER BY cod_seccion,opcion_menu asc";//
                        }//m.cod_seccion = '".$request['cod_modulo'] ."'
                        else if($request['operacion'] == "update"){
                            $sql = "SELECT m.cod_seccion,m.cod_subseccion menu_id, m.descripcion opcion_menu,per.permitido acceso ,per.permitido acceso_act,1 nivel_seccion
                                                    FROM subseccion m
                                                    LEFT join subseccion_rol per on per.cod_subseccion = m.cod_subseccion
                                                    WHERE per.cod_rol='".$request['cod_rol'] ."'  
                                                    union all (
									 select m2.cod_modulo cod_seccion,m2.cod_modulo_padre menu_id,m2.nom_menu opcion_menu,per2.permitido acceso ,per2.permitido acceso_act ,2 nivel_seccion
									 from modulos m2
									 inner join modulos m3 on m2.cod_modulo_padre = m3.cod_modulo 
									 LEFT JOIN modulo_rol per2 ON m2.cod_modulo = per2.cod_modulo and per2.cod_rol =  '".$request['cod_rol']."'
									 where isnull(m3.cod_modulo_padre)!=1 and m3.cod_modulo_padre!=0 
									)
                                                    
                                                    ORDER BY cod_seccion,opcion_menu asc";//
                                                    /*
                                                    union all (
                                    SELECT m3.cod_modulo cod_seccion,m3.cod_modulo_padre menu_id, m3.nom_menu opcion_menu,per2.permitido acceso ,per2.permitido acceso_act,2 nivel_seccion
                                                    FROM modulos m2
                                                    LEFT JOIN modulos m3 ON m2.cod_modulo = m3.cod_modulo_padre
                                                    LEFT JOIN modulo_rol per2 ON m3.cod_modulo = per2.cod_modulo and per2.cod_rol =  '".$request['cod_rol']."'
                                                    WHERE 1=1 
                                                    AND (isnull(m2.cod_modulo_padre)=1 or m2.cod_modulo_padre=0)
                                                    AND m3.cod_modulo_padre !=0
                                                    )
                                                    */
                                                    //ORDER BY m.cod_seccion,m.descripcion asc
                                                    //m.cod_seccion = '".$request['cod_modulo'] ."'
                            /*$sql = "SELECT m.nom_menu nombre_menu,m2.cod_modulo menu_id, m2.nom_menu opcion_menu,per.permitido acceso ,per.permitido acceso_act
                                                    FROM modulos m
                                                    LEFT JOIN modulos m2 ON m.cod_modulo = m2.cod_modulo_padre
                                                    INNER JOIN modulo_rol per ON m2.cod_modulo = per.cod_modulo
                                                    WHERE per.cod_rol =  '".$request['cod_rol']."'
                                                    AND (isnull(m.cod_modulo_padre)=1 or m.cod_modulo_padre=0)
                                                    AND m2.cod_modulo_padre !=0
                                                    ORDER BY m.cod_modulo_padre, m.orden, m2.cod_modulo_padre, m2.orden asc";*/
                        }
                        $this->bd->setQuery($sql);
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
                        $matches = Array();
			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return Array('totalCount' => $num,'matches' => $matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
		
	}	

	public function getListaOperaciones($request){ //Session &
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			
			$sql = "SELECT *
                    FROM operacion_nivel 
                    WHERE 1=1 
                    ORDER BY descripcion asc";
            $this->bd->setQuery($sql);
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
			
                        $matches = Array();
			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return Array('totalCount' => $num,'matches' => $matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
		
	}		
        
	public function save($request){ //Session &
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			$this->bd->autocommit(FALSE);
			
                        $operacion = "";
                        
                        $USUARIO_ID;
                        
			if($request['cod_usuario'] == 0)
            	$operacion = "insert";
            if($request['cod_usuario'] != 0)
            	$operacion = "update";
                        
            if(isset($_FILES["foto"])){
            	$allowedExts = array("gif", "jpeg", "jpg", "png");
				$temp = explode(".", $_FILES["foto"]["name"]);
				$extension = strtolower(end($temp));



				if ((($_FILES["foto"]["type"] == "image/gif")
				|| ($_FILES["foto"]["type"] == "image/jpeg")
				|| ($_FILES["foto"]["type"] == "image/jpg")
				|| ($_FILES["foto"]["type"] == "image/pjpeg")
				|| ($_FILES["foto"]["type"] == "image/x-png")
				|| ($_FILES["foto"]["type"] == "image/png"))
				&& ($_FILES["foto"]["size"] < 200000)
				&& in_array($extension, $allowedExts)) {
				  if ($_FILES["foto"]["error"] > 0) {
				    $request['foto'] = "";
				  } 
				  else {
				    $foto_uid=strtolower(uniqid().".".$extension);
				    move_uploaded_file($_FILES["foto"]["tmp_name"],CARPETA_FOTO . $foto_uid);
				    $request['foto'] = $foto_uid;				    
				  }
				} else {
				  $request['foto'] = "";
				}
            } 

            if($operacion == "insert"){
            	$this->bd->setQuery("select ifnull(max(cod_usuario)+1,1) id from usuarios");
				$result = $this->bd->ejecutaInstruccion();
				$tmp = $this->bd->fetch($result);
				$USUARIO_ID = $lastId = "NULL";
				if(isset($tmp["id"])){
					$USUARIO_ID = $lastId = $tmp["id"];
				}

				$query="insert into usuarios (cod_usuario, nombreyapellido,usuario,clave,clave_caducidad,email,perfil,cod_empresas,foto,nivel_id) 
                    value ($USUARIO_ID,'".$request['nombreyapellido']."','".$request['usuario']."','".md5($request['clave'])."','".$request['clave_caducidad']."',
                        '".$request['email']."',".$request['cod_rol'].",'".$request['cod_empresas']."','".((isset($request['foto']))?$request['foto']:"")."','".$request['nivel_id']."')";
                $this->bd->setQuery($query);
                $this->bd->ejecutaInstruccion();

                if($USUARIO_ID=="NULL"){
                	$USUARIO_ID = $lastId = $this->bd->lastId();
                }                

                $this->bd->replicarSentencia($query);
            }
            else if($operacion == "update"){

            	$add="";
            	if(isset($request['foto']) and $request['foto']!="")
            		$add.=",foto='".$request['foto']."'";
            	if(isset($request['clave']) and trim($request['clave'])!="")
            		$add.=",clave='".md5($request['clave'])."'";

       			$query="update usuarios set 
						nombreyapellido='".$request['nombreyapellido']."',
						usuario='".$request['usuario']."',
						email='".$request['email']."',perfil=".$request['cod_rol'].",
						cod_empresas= '".$request['cod_empresas']."',
						status= '".$request['status']."',
						nivel_id='".$request['nivel_id']."',
						clave_caducidad='".$request['clave_caducidad']."' $add
                    where cod_usuario = '".$request['cod_usuario']."'";
            	$this->bd->setQuery($query);
              	$this->bd->ejecutaInstruccion();                            
              	$USUARIO_ID = $request['cod_usuario']; 

              	$this->bd->replicarSentencia($query);
            }
			
			$moduloIdEnUsuario = explode(',',$request['moduloIdEnUsuario']);
            $accesoModuloEnUsuario = explode(',',$request['accesoModuloEnUsuario']);
			
			for($i = 0; $i < $request['num_items'];$i++){
				$query="insert into modulo_usuario (cod_usuario,cod_modulo,permitido)  
					values('".$USUARIO_ID."','" .$moduloIdEnUsuario[$i]. "','" .$accesoModuloEnUsuario[$i]. "') on duplicate key update permitido='".$accesoModuloEnUsuario[$i]."'";
                $this->bd->setQuery($query);
				$this->bd->ejecutaInstruccion();
				$this->bd->replicarSentencia($query);
				if($accesoModuloEnUsuario[$i] == 1 || $accesoModuloEnUsuario[$i] == true || $accesoModuloEnUsuario[$i] == "true"){
					$sql2 = "select cod_modulo_padre from modulos where cod_modulo = '".$moduloIdEnUsuario[$i]."' limit 1";
		            $this->bd->setQuery($sql2);
					$resultPadre = $this->bd->ejecutaInstruccion();
					$item = $this->bd->fetch($resultPadre);

					$query="insert into modulo_usuario (cod_usuario,cod_modulo,permitido)  
					values('".$USUARIO_ID."','" .$item['cod_modulo_padre']. "','1') on duplicate key update permitido='1'";
					$this->bd->setQuery($query);
					$this->bd->ejecutaInstruccion();
					$this->bd->replicarSentencia($query);	
					//$this->bd->setQuery("update modulo_usuar9io set permitido = 1  where cod_modulo = '" .$item['cod_modulo_padre']. "'");
					//$this->bd->ejecutaInstruccion();
				}
			}


			$moduloIdEnRol = explode(',',$request['seccionIdArray']);
            $accesoModuloEnRol = explode(',',$request['accesoSeccionArray']);
            $opcionSeccionArray = explode(',',$request['opcionSeccionArray']);
            $arrayNivelSeccion = explode(',',$request['arrayNivelSeccion']);
			
			for($i = 0; $i < $request['num_items_seccion'];$i++){
				if($arrayNivelSeccion[$i] == 1){
					$query="insert into subseccion_usuario (cod_usuario,cod_modulo,cod_subseccion,permitido)  
						values('".$USUARIO_ID."','" .$opcionSeccionArray[$i]. "','" .$moduloIdEnRol[$i]. "','" .$accesoModuloEnRol[$i]. "') on duplicate key update permitido='".$accesoModuloEnRol[$i]."'";
	                $this->bd->setQuery($query);
					$this->bd->ejecutaInstruccion();
					$this->bd->replicarSentencia($query);
					if($accesoModuloEnRol[$i] == 1 || $accesoModuloEnRol[$i] == true || $accesoModuloEnRol[$i] == "true"){
						//$this->bd->setQuery("update modulo_usuario set permitido = 1 where cod_modulo = '" .$moduloIdEnRol[$i]. "'");
						//$this->bd->ejecutaInstruccion();
						$query="insert into modulo_usuario (cod_usuario,cod_modulo,permitido)  
						values('".$USUARIO_ID."','" .$opcionSeccionArray[$i]. "','1') on duplicate key update permitido='1'";
						$this->bd->setQuery($query);
						$this->bd->ejecutaInstruccion();
						$this->bd->replicarSentencia($query);
					}
				}
				elseif($arrayNivelSeccion[$i] == 2){
					$query="insert into modulo_usuario (cod_usuario,cod_modulo,permitido)  
					values('".$USUARIO_ID."','" .$opcionSeccionArray[$i]. "','" .$accesoModuloEnRol[$i]. "') on duplicate key update permitido='".$accesoModuloEnRol[$i]."'";
					$this->bd->setQuery($query);
					$this->bd->ejecutaInstruccion();
				}
			}
			
			
			//$notif->notificaNuevoCaso($session, $idDevolucion);
			$this->bd->commit();

			//enviar password al correo
			$msg="";
			if($_POST["enviar_correo"]=="si" and $request['email']){
				require('../libs/PHPMailer/PHPMailerAutoload.php');
				$mail = new PHPMailer();
		        $mail->SMTPAuth = true;
		        $mail->isSMTP();
		        $mail->SMTPDebug = 0;
		        $mail->Host = "smtp.gmail.com";
		        $mail->SMTPSecure = 'ssl';
		        $mail->Port = 465;

		        $mail->Username = "planillaexpresspanama@gmail.com";
		        $mail->Password = 'wxjknutzwjuqbvop';

		        $mail->SetFrom('planillaexpresspanama@gmail.com', ':: Amaxonia ERP - Usuario ::');
        		$mail->addAddress($request['email'], $request['nombreyapellido']);

		        $mail->Subject = utf8_decode("Asignación/Cambio de Contraseña de Usuario");
		        $tpl=str_replace("{nombreyapellido}", $request['nombreyapellido'], PLANTILLA_CORREO);
		        $tpl=str_replace("{usuario}", $request['usuario'], $tpl);
		        $tpl=str_replace("{clave}", $request['clave'], $tpl);
        		$mail->msgHTML(utf8_decode($tpl));		        
		        if (!$mail->send()) {
		            $msg = "Mailer Error: " . $mail->ErrorInfo;
		        } else {
		            $msg = "Correo Enviado.";
		        }
			}
			
			return Array('success' => true,'mensaje' => "Se realiz&oacute; la operaci&oacute;n con &eacute;xito. $msg");
		} 
		catch(Exception $e ) {
			$this->bd->rollback();
			$this->bd->desconectar();
                                
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion. <a style='color:red;' onclick='showError();'>Mostrar Error</a></h1><div style='display:none' id='msg-error'>".$e->getMessage()."</div>",'error' => $arrayError);
		}		
		
	}

	public function saveRol($request){ //Session &
		$this->bd = new BDControlador();
        try{
			$this->bd->conectar();
			$this->bd->autocommit(FALSE);
			
            $operacion = "";
                        
            $ROL_ID;
                        
			if($request['cod_rol'] == 0)
            	$operacion = "insert";
            if($request['cod_rol'] != 0)
            	$operacion = "update";
                        
                        
            if($operacion == "insert"){
            	$this->bd->setQuery("select ifnull(max(cod_rol)+1,1) id from roles");
				$result = $this->bd->ejecutaInstruccion();
				$tmp = $this->bd->fetch($result);
				$ROL_ID = $lastId = "NULL";
				if(isset($tmp["id"])){
					$ROL_ID = $lastId = $tmp["id"];
				}

            	$query="insert into roles (cod_rol, cod_empresa,cod_sistema,rol,descripcion,estatus) 
                                value ($ROL_ID, '".$request['cod_empresa']."',1,'".strtolower($request['descripcion'])."',
                                    '".$request['descripcion']."',1)";
                $this->bd->setQuery($query);
                $this->bd->ejecutaInstruccion();

                if($ROL_ID=="NULL"){
	                $lastId = $this->bd->lastId();
	                $ROL_ID = $lastId;                	
                }
                $this->bd->replicarSentencia($query);
            }
            else if($operacion == "update"){
            	$query="update roles set descripcion='".$request['descripcion']."',cod_empresa='".$request['cod_empresa']."'
                                     where cod_rol = '".$request['cod_rol']."'";
            	$this->bd->setQuery($query);
                $this->bd->ejecutaInstruccion();
                $ROL_ID = $request['cod_rol'];
                $this->bd->replicarSentencia($query);
            }
			
			$moduloIdEnRol = explode(',',$request['moduloIdEnRol']);
            $accesoModuloEnRol = explode(',',$request['accesoModuloEnRol']);
			
			for($i = 0; $i < $request['num_items'];$i++){
				$query="insert into modulo_rol (cod_rol,cod_modulo,permitido)  
					values('".$ROL_ID."','" .$moduloIdEnRol[$i]. "','" .$accesoModuloEnRol[$i]. "') on duplicate key update permitido='".$accesoModuloEnRol[$i]."'";
                $this->bd->setQuery($query);
				$this->bd->ejecutaInstruccion();	
				$this->bd->replicarSentencia($query);
			}
			
			/*$moduloIdEnRol = explode(',',$request['moduloIdEnRol']);
            $accesoModuloEnRol = explode(',',$request['accesoModuloEnRol']);
			
			for($i = 0; $i < $request['num_items'];$i++){
                                $this->bd->setQuery("insert into modulo_rol (cod_rol,cod_modulo,permitido)  
					values('".$ROL_ID."','" .$moduloIdEnRol[$i]. "','" .$accesoModuloEnRol[$i]. "') on duplicate key update permitido='".$accesoModuloEnRol[$i]."'");
				$this->bd->ejecutaInstruccion();	
			}*/

			$moduloIdEnRol = explode(',',$request['seccionIdArray']);
            $accesoModuloEnRol = explode(',',$request['accesoSeccionArray']);
            $opcionSeccionArray = explode(',',$request['opcionSeccionArray']);
            $arrayNivelSeccion = explode(',',$request['arrayNivelSeccion']);
			
			for($i = 0; $i < $request['num_items_seccion'];$i++){
				if($arrayNivelSeccion[$i] == 1){
					$query="insert into subseccion_rol (cod_rol,cod_modulo,cod_subseccion,permitido)  
					values('".$ROL_ID."','" .$opcionSeccionArray[$i]. "','" .$moduloIdEnRol[$i]. "','" .$accesoModuloEnRol[$i]. "') on duplicate key update permitido='".$accesoModuloEnRol[$i]."'";
                    $this->bd->setQuery($query);
					$this->bd->ejecutaInstruccion();	
					$this->bd->replicarSentencia($query);
				}
				elseif($arrayNivelSeccion[$i] == 2){
					$query="insert into modulo_rol (cod_rol,cod_modulo,permitido)  
					values('".$ROL_ID."','" .$opcionSeccionArray[$i]. "','" .$accesoModuloEnRol[$i]. "') on duplicate key update permitido='".$accesoModuloEnRol[$i]."'";
					$this->bd->setQuery();
					$this->bd->ejecutaInstruccion();
					$this->bd->replicarSentencia($query);
				}
			}
			
			//$notif->notificaNuevoCaso($session, $idDevolucion);
			$this->bd->commit();
			
			return Array('success' => true,'mensaje' => 'Se realiz&oacute; la operaci&oacute;n con &eacute;xito');
		} 
		catch(Exception $e ) {
			$this->bd->rollback();
			$this->bd->desconectar();
                                
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion. <a style='color:red;' onclick='showError();'>Mostrar Error</a></h1><div style='display:none' id='msg-error'>".$e->getMessage()."</div>",'error' => $arrayError);
		}		
		
	}

	public function saveOperacionNivel($request){ //Session &
		$this->bd = new BDControlador();
        try{
			$this->bd->conectar();
			$this->bd->autocommit(FALSE);
			
            if($request['operacion_id'] == 0){
            	$this->bd->setQuery("select ifnull(max(operacion_id)+1,1) id from operacion_nivel");
				$result = $this->bd->ejecutaInstruccion();
				$tmp = $this->bd->fetch($result);
				$OPERACION_ID = $lastId = "NULL";
				if(isset($tmp["id"])){
					$OPERACION_ID = $lastId = $tmp["id"];
				}

                $sql="insert into operacion_nivel (operacion_id,descripcion,nivel_id) values 
                            ($OPERACION_ID,'".$request['descripcion']."','".$request['nivel_id']."')"; 
            }
			else{
                            
            $sql="update operacion_nivel set descripcion='".$request['descripcion']."',nivel_id='".$request['nivel_id']."'
                                    where operacion_id = '".$request['operacion_id']."'"; 
                        }
			$this->bd->setQuery($sql);
            $this->bd->ejecutaInstruccion();
            $this->bd->replicarSentencia($sql);
			$this->bd->commit();
			
			return Array('success' => true,'mensaje' => 'Se realiz&oacute; la operaci&oacute;n con &eacute;xito');
		} 
		catch(Exception $e ) {
			$this->bd->rollback();
			$this->bd->desconectar();
                                
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion. <a style='color:red;' onclick='showError();'>Mostrar Error</a></h1><div style='display:none' id='msg-error'>".$e->getMessage()."</div>",'error' => $arrayError);
		}		
		
	}

	public function saveOpcion($request){ //Session &
		$this->bd = new BDControlador();
        try{
			$this->bd->conectar();
			$this->bd->autocommit(FALSE);
			
			if(!isset($request['img_ruta'])){
				$request['img_ruta'] = "";
			}
			$op = "";
			$idOp = "";
			$date = date_create();
			$idOp = date_format($date, 'YmdHis');
			$sql = "";
            if($request['cod_modulo'] == 0){
            	$this->bd->setQuery("select ifnull(max(cod_modulo)+1,1) id from modulos");
				$result = $this->bd->ejecutaInstruccion();
				$tmp = $this->bd->fetch($result);
				$MODULO_ID = $lastId = "NULL";
				if(isset($tmp["id"])){
					$MODULO_ID = $lastId = $tmp["id"];
				}

                $sql="insert into modulos (cod_modulo,cod_sistema,cod_modulo_padre,nom_menu,archivo_php,archivo_tpl,orden,visible,target) values 
                            ($MODULO_ID,'".$request['cod_sistema']."','".$request['cod_modulo_padre']."','".$request['nom_menu']."',"
                            	."'".$request['archivo_php']."','".$request['archivo_tpl']."','".$request['orden']."','".$request['visible']."','".$request['target']."');"; 
            	$op = "insert";
				$this->bd->setQuery($sql);
	            $this->bd->ejecutaInstruccion();
	            if($MODULO_ID=="NULL"){
                	$MODULO_ID = $lastId = $this->bd->lastId();
	            }
                $this->bd->replicarSentencia($sql);

                $query="insert into modulo_usuario (cod_usuario,cod_modulo,permitido) values (1,".$MODULO_ID.",1)";
	            $this->bd->setQuery($query);
	            $this->bd->ejecutaInstruccion();
	            $this->bd->replicarSentencia($query);
            }
			else{
                            
            	$sql="update modulos set cod_modulo_padre='".$request['cod_modulo_padre']."',nom_menu='".$request['nom_menu']."',archivo_php='".$request['archivo_php']."',archivo_tpl='".$request['archivo_tpl']."',cod_sistema='".$request['cod_sistema']."',visible='".$request['visible']."',orden='".$request['orden']."',target='".$request['target']."',img_ruta='".$request['img_ruta']."'
                                    where cod_modulo = '".$request['cod_modulo']."';"; 
            	$op = "update";
				$this->bd->setQuery($sql);
	            $this->bd->ejecutaInstruccion();
	            $this->bd->replicarSentencia($sql);
            }

			$this->bd->commit();
			$info = new SysInfo();
			$archivo = "conf_update_".$idOp.".sql";
			$archivo_actualizacion = "../../bd/updates/".$archivo;
			if(!file_exists($archivo_actualizacion)){
	            if($file = fopen($archivo_actualizacion, "w")){
	            	fwrite($file, "//*conf_pyme*//;");
	            	fwrite($file, "//*".$op." de opcion ".$request['nom_menu']."*//;");
	                fwrite($file, $sql);
	                fclose($file);
	            }
            }
			/*if(copy("../../../db/actualizaciones/por_hacer/".$arrayArchivos[$ind],"../../../db/actualizaciones/hechas/".$arrayArchivos[$ind])){
	          unlink("../../../db/actualizaciones/por_hacer/".$arrayArchivos[$ind]);
	          if($logfile = fopen("../../../db/actualizaciones/log_actualizaciones.txt", "a")){
	            $time = time(); 
	            $date = date('Y-m-d H:i:s',$time);
	            fwrite($logfile,  PHP_EOL."se ejecuto el archivo ".$archivo."; --- ".$date);
	            fclose($logfile);
	          }                                                  
	        }*/
			return Array('success' => true,'mensaje' => 'Se realiz&oacute; la operaci&oacute;n con &eacute;xito');
		} 
		catch(Exception $e ) {
			$this->bd->rollback();
			$this->bd->desconectar();
                                
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion. <a style='color:red;' onclick='showError();'>Mostrar Error</a></h1><div style='display:none' id='msg-error'>".$e->getMessage()."</div>",'error' => $arrayError);
		}		
		
	}

	public function saveSeccion($request){ //Session &
		$this->bd = new BDControlador();
        try{
			$this->bd->conectar();
			$this->bd->autocommit(FALSE);
			
            $op = "";
			$idOp = "";
			$date = date_create();
			$idOp = date_format($date, 'YmdHis');
			$sql = "";
            if($request['cod_subseccion'] == 0){
            	$this->bd->setQuery("select ifnull(max(cod_subseccion)+1,1) id from subseccion");
				$result = $this->bd->ejecutaInstruccion();
				$tmp = $this->bd->fetch($result);
				$SUBSECCION_ID = $lastId = "NULL";
				if(isset($tmp["id"])){
					$SUBSECCION_ID = $lastId = $tmp["id"];
				}

                $sql="insert into subseccion (cod_subseccion,descripcion,opt_subseccion,archivo_tpl,archivo_php,cod_seccion,clase) 
                values 
                ($SUBSECCION_ID,'".$request['descripcion']."','".$request['opt_subseccion']."','".$request['archivo_tpl']."','".$request['archivo_php']."'
                	,'".$request['cod_seccion']."','".$request['clase']."');"; 
                $op = "insert";
            }
			else{
                     $op = "update";       
	            $sql="update subseccion set descripcion='".$request['descripcion']."',opt_subseccion='".$request['opt_subseccion']."'
	            ,archivo_tpl='".$request['archivo_tpl']."',archivo_php='".$request['archivo_php']."'
	            ,opt_subseccion='".$request['opt_subseccion']."'
	            ,cod_seccion='".$request['cod_seccion']."'
	            ,clase='".$request['clase']."'
	                                    where cod_subseccion = '".$request['cod_subseccion']."';"; 
            }
			$this->bd->setQuery($sql);
            $this->bd->ejecutaInstruccion();
            $this->bd->replicarSentencia($sql);
			$this->bd->commit();

			$info = new SysInfo();
			$archivo = "conf_update_".$idOp.".sql";
			$archivo_actualizacion = "../../bd/updates/".$archivo;
			if(!file_exists($archivo_actualizacion)){
	            if($file = fopen($archivo_actualizacion, "w")){
	            	fwrite($file, "//*conf_pyme*//;");
	            	fwrite($file, "//*".$op." de seccion: ".$request['descripcion']."*//;");
	                fwrite($file, $sql);
	                fclose($file);
	            }
            }
			
			return Array('success' => true,'mensaje' => 'Se realiz&oacute; la operaci&oacute;n con &eacute;xito');
		} 
		catch(Exception $e ) {
			$this->bd->rollback();
			$this->bd->desconectar();
                                
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion. <a style='color:red;' onclick='showError();'>Mostrar Error</a></h1><div style='display:none' id='msg-error'>".$e->getMessage()."</div>",'error' => $arrayError);
		}		
		
	}

	public function getRolesCombo($request){
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();

            $sql = "select * from roles ";
            $this->bd->setQuery($sql);	
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
            $matches = Array();			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return ($matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,"error"=> "Ha ocurrido un error: ".$e->getMessage(),'mensaje' => "Error durante la operacion",'error' => $arrayError,'file_name' => 'casos_lista_sin_credito');
		}		
	}

	public function getNivelesCombo($request){
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();

            $sql = "select * from usuario_nivel ";
            $this->bd->setQuery($sql);	
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
            $matches = Array();			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return ($matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,"error"=> "Ha ocurrido un error: ".$e->getMessage(),'mensaje' => "Error durante la operacion",'error' => $arrayError,'file_name' => 'casos_lista_sin_credito');
		}		
	}



	public function getOpcionesPadreCombo($request){
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();

            $sql = "select * from modulos where cod_modulo_padre = 0 or isnull(cod_modulo_padre)=1 ";
            $this->bd->setQuery($sql);	
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
            $matches = Array();			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return ($matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,"error"=> "Ha ocurrido un error: ".$e->getMessage(),'mensaje' => "Error durante la operacion",'error' => $arrayError,'file_name' => 'casos_lista_sin_credito');
		}		
	}

	public function getOpcionesCombo($request){
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();

            $sql = "select * from modulos where cod_modulo_padre!= 0 ";
            $this->bd->setQuery($sql);	
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
            $matches = Array();			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return ($matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,"error"=> "Ha ocurrido un error: ".$e->getMessage(),'mensaje' => "Error durante la operacion",'error' => $arrayError,'file_name' => 'casos_lista_sin_credito');
		}		
	}
	public function getSistemasCombo($request){
		$num=0;
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();

            $sql = "select * from sistemas where 1 ";
            $this->bd->setQuery($sql);	
			$result = $this->bd->ejecutaInstruccion();
			$num = $this->bd->numero_filas($result);
            $matches = Array();			
			
			
			while ( $item = $this->bd->fetch($result)) {
			    $matches[] = $item;
			}
			
			return ($matches);
		} 
		catch(Exception $e ) {
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,"error"=> "Ha ocurrido un error: ".$e->getMessage(),'mensaje' => "Error durante la operacion",'error' => $arrayError,'file_name' => 'casos_lista_sin_credito');
		}		
	}
	
	function borrarOpcion($request){
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			$this->bd->autocommit(FALSE);
			
			$consulta = "delete from modulos where cod_modulo ='".$request['cod_modulo']."';";
			$this->bd->setQuery($consulta);	
			$resultado = $this->bd->ejecutaInstruccion();
			$this->bd->replicarSentencia($consulta);

			$info = new SysInfo();
			$idOp = "";
			$date = date_create();
			$idOp = date_format($date, 'U_YmdHis');
			$archivo = "delete_modulos_".$idOp.".sql";
			$archivo_actualizacion = "/".$info->getSystemRoot("../../")."/db/actualizaciones/".$archivo;
			if(!file_exists($archivo_actualizacion)){
	            if($file = fopen($archivo_actualizacion, "w")){
	                fwrite($file, $consulta);
	                fclose($file);
	            }
            }

			$this->bd->commit();
			$this->bd->desconectar();
			return  Array('success' => true,'mensaje' => $mensaje,'valido' => $valido );
			
		} 
		catch(Exception $e ) {
			$this->bd->rollback();
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
	}	
	
	function borrarSeccion($request){
		$this->bd = new BDControlador();
		try{
			$this->bd->conectar();
			$this->bd->autocommit(FALSE);
			
			$consulta = "delete from subseccion where cod_subseccion ='".$request['cod_subseccion']."';";
			$this->bd->setQuery($consulta);	
			$resultado = $this->bd->ejecutaInstruccion();
			$this->bd->replicarSentencia($consulta);

			$info = new SysInfo();
			$idOp = "";
			$date = date_create();
			$idOp = date_format($date, 'U_YmdHis');
			$archivo = "delete_subseccion_".$idOp.".sql";
			$archivo_actualizacion = "/".$info->getSystemRoot("../../")."/db/actualizaciones/".$archivo;
			if(!file_exists($archivo_actualizacion)){
	            if($file = fopen($archivo_actualizacion, "w")){
	                fwrite($file, $consulta);
	                fclose($file);
	            }
            }

			$this->bd->commit();
			$this->bd->desconectar();
			return  Array('success' => true,'mensaje' => $mensaje,'valido' => $valido );
			
		} 
		catch(Exception $e ) {
			$this->bd->rollback();
			$this->bd->desconectar();
			$arrayError = Array('Error No:' => $e->getCode(),'Error Message:' => $e->getMessage(),'Stack Trace:' => nl2br($e->getTraceAsString()));
			return  Array('success' => false,'mensaje' => "Error durante la operacion",'error' => $arrayError);
		}
	}

}

?>
