
adminOperacionNivel = function(){
	var storeConf = null;
        
return{
	
	idWin:function(){return 'adminOperacionNivel-win';},
	
	moduleFields: fields_nivel,
	
	initRecordDef : function(){
		return new Ext.data.Record.create(adminOperacionNivel.moduleFields);
	},
	           
	formload:function(){
                storeConf.load();
	},
        modificar:function(objec,row){
            var myFormPanel = Ext.getCmp('list-admin-nivel-form');
            myFormPanel.form.submit({
                params:{
                    accion: 'Accion/Session/Save_Operacion_Nivel',
                    operacion_id:row.data.operacion_id,
                    descripcion:row.data.descripcion,
                    nivel_id:row.data.nivel_id,
                    output: 'json'
                },
                waitMsg:'Guardando...',
                reset: true,
                failure: function(form_instance, action) {
                    Ext.MessageBox.alert('Error', 'Ha ocurrido un error de Procesamiento');
                },
                success: function(form_instance, action) {
                    Ext.getCmp('grid-list-nivel-admin').store.reload();
                }
            });
        },
        agregar:function(objec,row){
            //console.log(objec,row[0])
            if(row[0].data.type != ""){
                var myFormPanel = Ext.getCmp('list-admin-nivel-form');
                myFormPanel.form.submit({
                    params:{
                        accion: 'Accion/Session/Save_Operacion_Nivel',
                        operacion_id:row[0].data.operacion_id,
                        descripcion:row[0].data.descripcion,
                        nivel_id:row[0].data.nivel_id,
                        output: 'json'
                    },
                    waitMsg:'Guardando...',
                    reset: true,
                    failure: function(form_instance, action) {
                        Ext.MessageBox.alert('Error', 'Ha ocurrido un error de Procesamiento');
                    },
                    success: function(form_instance, action) {
                        Ext.getCmp('grid-list-nivel-admin').store.reload();
                    }
                });
            }
        },

    Init:function(){
        
    
    var Configuracion = Ext.data.Record.create([
            {
                name: 'operacion_id',
                type: 'int'
            }, 
            {
                name: 'descripcion',
                type: 'string'
            },
            {
                name: 'nivel_id',
                type: 'int'
            }
    ]);


    
    storeConf = new Ext.data.GroupingStore({
        autoLoad:true,
        proxy:new Ext.data.HttpProxy({url:'clases/controladores/ControladorApp.php'}),
        baseParams: {
            accion: 'Accion/Session/Get_Lista_Operaciones',
            ouput:'json'
        },
        reader: new Ext.data.JsonReader({
            totalProperty: "totalCount",
            root: "matches" // ,id: "bl"
            }, adminOperacionNivel.initRecordDef())/*,
        data: genData()*/
    });

    var editor = new Ext.ux.grid.RowEditor({
        saveText: 'Update'
    });

    var grid = new Ext.grid.GridPanel({
        store: storeConf,
        id:'grid-list-nivel-admin',
        height: 300,//490
        width: 400,
        region:'center',
        margins: '0 5 5 5',
        //autoExpandColumn: 'descripcion',
        plugins: [editor],
        view: new Ext.grid.GroupingView({
            markDirty: false
        }),
        tbar: [/*{
            icon: 'imagenes/icons/add.png',
            text: 'Agregar Operaci&oacute;n',
            handler: function(){
                var e = new Configuracion({
                    operacion_id: 0,
                    descripcion: '',
                    nivel_id: 0
                });
                editor.stopEditing();
                storeConf.insert(0, e);
                grid.getView().refresh();
                grid.getSelectionModel().selectRow(0);
                editor.startEditing(0);
            }
        }*//*,{
            icon: 'imagenes/icons/delete.png',
            text: 'Eliminar Variable',
            disabled: true,
            handler: function(){
                editor.stopEditing();
                var s = grid.getSelectionModel().getSelections();
                for(var i = 0, r; r = s[i]; i++){
                    storeConf.remove(r);
                }
            }
        }*/],
        columns: [
        new Ext.grid.RowNumberer(),
        {
            id: 'operacion_id',
            header: 'ID',
            dataIndex: 'operacion_id',
            width: 20,
            sortable: true
        },{
            header: 'Descripci&oacute;n',
            dataIndex: 'descripcion',
            sortable: true,
            width:200,
            editor: {
                xtype: 'textfield',
                allowBlank: false,
                selectOnFocus :true
            }
        },{
            id: 'nivel_id',
            header: 'Nivel',
            dataIndex: 'nivel_id',
            sortable: true,
            width:150,
            editor: {
                xtype: 'spinnerfield',
                minValue: 1,
                maxValue: 5,
                allowDecimals: false,
                decimalPrecision: 0,
                incrementValue: 1,
                alternateIncrementValue:1,
                accelerate: true
            }
        }]
    });
        
    storeConf.on('add', adminOperacionNivel.agregar, storeConf);
    //storeConf.on('remove', adminOperacionNivel.save, storeConf);
    storeConf.on('update', adminOperacionNivel.modificar, storeConf);
    
    var tabForm = new Ext.FormPanel({
        url: 'clases/controladores/ControladorApp.php',
        labelAlign: 'top',
        id: 'list-admin-nivel-form',
        bodyStyle:'padding:5px',
        height: 300,//490
        width: 400,
        layout: 'form',
        items: [grid]
    });
    
    adminOperacionNivelWin = new Ext.Window({
        closeAction:'hide',
        draggable: true,
        modal: true,
        id: 'adminOperacionNivel-win',
        layout: 'fit',
        maximizable:false,
        plain: false,
        resizable: true,
        items: [ tabForm ],
        title: 'Administraci&oacute;n de Operaciones por Nivel',
        height: 350,//490
        width: 430,
        listeners:{
            afterrender:function(e){  
                storeConf.load();              
            }
        },
        customLoad:function(){
        }
    });
    
    adminOperacionNivelWin.show();
}
};
}();
//
Ext.onReady(adminOperacionNivel.Init, adminOperacionNivel, true);
//adminOperacionNivel.Init()