
confUserForm = function(){
	var tipo_operacion = "update";
	var userID = "";

return{
	
	moduleFields: fields_usuario,

	initRecordDef : function(){
		return new Ext.data.Record.create(confUserForm.moduleFields);
	},
	
	Init:function(){ // param
		Ext.QuickTips.init();

    
    var tabForm = new Ext.FormPanel({
        url: 'clases/controladores/ControladorApp.php',
        labelAlign: 'top',
        id: 'form-conf-user',
        bodyStyle:'padding:5px',
        width: 600, 
        items: [
                {
                    xtype     : 'textfield',
                    fieldLabel: 'Password Actual',
                    anchor:'90%',
                    allowBlank : false,
                    name: 'password_actual',
                    id: 'password_actual',
                    inputType:'password'
                },
                {
                    xtype     : 'textfield',
                    fieldLabel: 'Password Nueva',
                    anchor:'90%',
                    allowBlank : false,
                    name: 'password',
                    id: 'password',
                    inputType:'password'
                },
                {
                    xtype     : 'textfield',
                    fieldLabel: 'e-mail',
                    anchor:'90%',
                    allowBlank : false,
                    name: 'email',
                    id: 'email',
                    vtype:'email'
                }],

        buttons: [
        {
            text: 'Actualizar',
            listeners:{
	            click: function( el, e ){ 
        			if (tabForm.form.isValid()) {
        				tabForm.form.submit({
                            params:{
                                accion: 'Accion/Session/Actualiza_Datos'
                            },
                            waitMsg:'Actualizando Datos...',
                                reset: true,
                                failure: function(form_instance, action) {
                            		Ext.MessageBox.alert('Error', 'Ha ocurrido un error de Procesamiento');
                                },
                                success: function(form_instance, action) {
                                	Ext.MessageBox.alert('Mensaje', action.result.mensaje);
                                	if(action.result.valido)
                                		confUserFormWin.hide(); 
                                }
                            });
                   }
        			else{
                            Ext.MessageBox.alert('Error', 'Debe especificar todos los campos');
                    }	      	
	        	
	        	}
        	}
        },{
            text: 'Cancelar',
            listeners:{
	            click: function( el, e ){ 
        			confUserFormWin.hide();        	
	        	}
        	}
        }]
    });
    
    confUserFormWin = new Ext.Window({
        closeAction:'hide',
        draggable: true,
        modal: true,
        id: 'confUserForm-win',
        x:20,y:30,
        layout: 'fit',
        maximizable:false,
        minHeight: 250,
        minWidth: 500,
        plain: false,
        resizable: false,
        items: [ tabForm ],
        title: 'Actualizar datos de usuario',
        height: 250,
        width: 400
    });

    confUserFormWin.show();
}
};
}();

Ext.onReady(confUserForm.Init, confUserForm, true);