function acceptCancel(v,r,s){
    if(v == 1)
        return "<img src='imagenes/icons/accept.png'>";
    else
        return "<img src='imagenes/icons/cancel.png'>";
}


enlacesExternosForm = function(){
	// Arrays de detalle
	var lanzamientoIdArray = null;
	var lazamientoActivoArray = null;
	
	var Ncont = 0;
	
	var storeItemsSolicitud = null;
	var gridItemsSolicitud = null;
        
        var editando = false;
        var mensajeSucces = "";

return{
	
	idWin:function(){return 'enlacesExternosForm-win';},
	
	moduleFields: fields_enlaces,
	
	initRecordDef : function(){
		return new Ext.data.Record.create(enlacesExternosForm.moduleFields);
	},
	           
	initColumnModel : function(){
	               return new Ext.grid.ColumnModel([
	                   new Ext.grid.RowNumberer(),
	                   {header: 'Descripción',   dataIndex:'descripcion',  sortable: false}
	               ]);
	},
	
	formload:function(){	
            storeItemsSolicitud.load({
                                    params:{
                                            start:0, 
                                            limit:25,
                                            task: "busqueda",
                                            patronbuscar : "",
                                            accion: 'Conf//Get_Enlaces_Externos'
                                    }
            });
	},

    Init:function(){
        
        
        storeItemsSolicitud = new Ext.data.Store({
            storeId:'store-lista-enlaces',
            proxy:new Ext.data.HttpProxy({url:'clases/controladores/ControladorApp.php'}),
            remoteSort : true,
            restful : true,
            baseParams: {
                      moduleId: ''
            },
            reader: new Ext.data.JsonReader({
                totalProperty: "totalCount",
                root: "matches" // ,id: "bl"
                }, enlacesExternosForm.initRecordDef()),
            listeners: {
                load: function(Store ,records, options){ }
            }
        });
        
        storeItemsSolicitud.load({
                                    params:{
                                            start:0, 
                                            limit:25,
                                            task: "busqueda",
                                            patronbuscar : "",
                                            accion: 'Conf//Get_Enlaces_Externos'
                                    }
        });

        gridItemsSolicitud= new Ext.grid.GridPanel({
            id: 'grid-item-lista-enlaces',
            title: '',
            autoScroll:true,
            viewConfig:{forceFit:true},
            border:true,
            clicksToEdit: 1,
            height: 280,
            enableDragDrop   : true,
            stripeRows: true,
            loadMask:true,
            ds: storeItemsSolicitud,
            cm: enlacesExternosForm.initColumnModel(),
            remoteSort:true,
            shadow: false,
            shadowOffset: 0,
            sm:  new Ext.grid.RowSelectionModel({
                singleSelect:true,
                listeners: {
                    rowselect: function(SelectionModel,rownumber,row){
                    }
                }
            }),
            listeners:{
                    dblclick:function(e){
                            
                                var grid = Ext.getCmp('grid-item-lista-enlaces');
                                var selmodel = grid.getSelectionModel();	    		
                                var filaSeleccionada = selmodel.getSelected();
                                var form = "";
                                
                                if(filaSeleccionada.data.system == "MicroStrategy"){
                                    form = "<FORM autocomplete='off' method='POST' name='loginForm' action='"+filaSeleccionada.data.url+filaSeleccionada.data.params+"' id='CustomHiddenForm' target='_blank'>";
                                    form = form + "<input id='Uid' class='mstrInputText' type='text' value='"+filaSeleccionada.data.user+"' name='Uid' style='display:none;'>";
                                    form = form + "<input id='Pwd' class='mstrInputText' type='password' name='Pwd' value='"+filaSeleccionada.data.password+"' style='display:none;' >";
                                    form = form + "<input id='ConnMode' class='mstrHiddenInput' type='hidden' value='1' name='ConnMode'>";
                                    form = form + "<input id='3054' class='mstrButton' type='submit' value='Iniciar sesión' name='3054'>";
                                    form = form + "</form>"
                                }
                                
                                $("#DivToCustomHiddenForm").html(form);
                                $("#CustomHiddenForm").submit();                                
                    }
            }
        });

        var tabForm = new Ext.FormPanel({
            url: 'clases/controladores/ControladorApp.php',
            labelAlign: 'left',
            id: 'add-lista-enlaces-form',
            bodyStyle:'padding:5px',
            width: 400,
            items: [gridItemsSolicitud],

            buttons: [
            {
                text: 'Ok',
                listeners:{
                        click: function( el, e ){
                            enlacesExternosFormWin.hide();       	

                            }
                    }
            }]
        });


        enlacesExternosFormWin = new Ext.Window({
            closeAction:'hide',
            draggable: true,
            modal: true,
            id: 'enlacesExternosForm-win',
            layout: 'fit',
            maximizable:false,
            minHeight: 250,
            minWidth: 500,
            plain: false,
            resizable: true,
            items: [ tabForm ],
            title: 'Enlaces Externos',
            height: 400,//490
            width: 500,
            listeners:{
                afterrender:function(e){

                }
            },
            customLoad:function(){
                enlacesExternosForm.formload();
            }
        });
        enlacesExternosForm.formload();
        enlacesExternosFormWin.show();
}
};
}();
//
Ext.onReady(enlacesExternosForm.Init, enlacesExternosForm, true);
//enlacesExternosForm.Init();

